This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 715137

Summary: r8169: WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0xe2/0x147():
Product: [Fedora] Fedora Reporter: YASS3R <kaf.laarous>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: 1083479006, a3, alexlang, antonio, artemio.silva, b.bellec, blankazucenalg, christopher.murtagh, contact, davidsen, dev002, doddmond, fredericg_99, frigoris.ma, gansalmon, geigor, goga075, goksel.ozdemir, itamar, jabmiramag, jforbes, joe, jonathan, jwesterham, jwildebo, kalaia1986, kernel-maint, kevinhcross, kjell.m.randa, leonardo, madhu.chinakonda, manna8u, maxamaxim, Michiduta07, mjg, nelufar_up, oliver.henshaw, ope-linux, pal666, panam787, romieu, rpiddapa, salimiha, sm, Spawn148, sunilkcypress, thomas.wuercher, wbarker, whaveten, yakky58
Target Milestone: ---Keywords: Tracking
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:5b5434930342e6d78b1b86246f7e8b6a886ec694
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-07-11 16:36:39 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 702723    
Attachments:
Description Flags
standalone r8169.c driver backported from davem-next
none
standalone r8169.c driver backported from davem-next for 3.2 none

Description YASS3R 2011-06-21 20:41:31 EDT
abrt version: 2.0.1
architecture:   i686
cmdline:        ro root=/dev/sda8 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=fr_FR.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=fr-latin9 rhgb quiet radeon.modeset=0
component:      kernel
kernel:         2.6.38.8-32.fc15.i686.PAE
kernel_tainted: 513
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         [186128.038538] WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0xe2/0x147()
reported_to:    kerneloops: URL=http://submit.kerneloops.org/submitoops.php
time:           Tue Jun 21 16:31:11 2011

backtrace:
:[186128.038538] WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0xe2/0x147()
:[186128.038542] Hardware name: MS-7636
:[186128.038546] NETDEV WATCHDOG: p128p1 (r8169): transmit queue 0 timed out
:[186128.038549] Modules linked in: tcp_lp vfat fat usb_storage uas sunrpc cpufreq_ondemand acpi_cpufreq mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep fuse snd_seq snd_seq_device snd_pcm snd_timer snd fglrx(P) ppdev parport_pc iTCO_wdt parport serio_raw joydev iTCO_vendor_support i2c_i801 soundcore snd_page_alloc r8169 mii microcode ipv6 radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:[186128.038606] Pid: 0, comm: kworker/0:0 Tainted: P            2.6.38.8-32.fc15.i686.PAE #1
:[186128.038610] Call Trace:
:[186128.038618]  [<c04420cd>] warn_slowpath_common+0x7c/0x91
:[186128.038624]  [<c076102e>] ? dev_watchdog+0xe2/0x147
:[186128.038629]  [<c076102e>] ? dev_watchdog+0xe2/0x147
:[186128.038634]  [<c044216d>] warn_slowpath_fmt+0x33/0x35
:[186128.038639]  [<c076102e>] dev_watchdog+0xe2/0x147
:[186128.038647]  [<c07e9203>] ? _raw_spin_unlock_irqrestore+0x13/0x15
:[186128.038654]  [<c044c67d>] ? internal_add_timer+0x93/0x97
:[186128.038659]  [<c044cde8>] ? cascade+0x4a/0x5d
:[186128.038665]  [<c044cf4d>] run_timer_softirq+0x152/0x207
:[186128.038672]  [<c0491fa4>] ? __rcu_process_callbacks+0x64/0x1f5
:[186128.038678]  [<c0760f4c>] ? dev_watchdog+0x0/0x147
:[186128.038684]  [<c04473b8>] __do_softirq+0xa9/0x163
:[186128.038689]  [<c044730f>] ? __do_softirq+0x0/0x163
:[186128.038695]  [<c044730f>] ? __do_softirq+0x0/0x163
:[186128.038698]  <IRQ>  [<c044750b>] ? irq_exit+0x3c/0x70
:[186128.038709]  [<c0420f18>] ? smp_apic_timer_interrupt+0x6b/0x78
:[186128.038715]  [<c040e3cf>] ? read_tsc+0x9/0x26
:[186128.038721]  [<c07e9a89>] ? apic_timer_interrupt+0x31/0x38
:[186128.038729]  [<c04400e0>] ? __mmdrop+0x39/0x42
:[186128.038736]  [<c0618a09>] ? intel_idle+0xc0/0xe7
:[186128.038743]  [<c0727120>] ? cpuidle_idle_call+0xc5/0x136
:[186128.038749]  [<c0408460>] ? cpu_idle+0x8e/0xa8
:[186128.038756]  [<c07dc435>] ? start_secondary+0x228/0x22d
:[186128.038762]  [<c07dc237>] ? start_secondary+0x2a/0x22d

event_log:
:2011-06-22-01:36:51> Submitting oops report to http://submit.kerneloops.org/submitoops.php
:2011-06-22-01:37:06  Kernel oops report was uploaded
Comment 1 Dave Jones 2011-07-11 16:36:39 EDT

*** This bug has been marked as a duplicate of bug 702723 ***
Comment 2 Dave Jones 2011-07-14 12:45:11 EDT
*** Bug 721199 has been marked as a duplicate of this bug. ***
Comment 3 Dave Jones 2011-08-04 14:22:05 EDT
*** Bug 728209 has been marked as a duplicate of this bug. ***
Comment 4 Josh Boyer 2011-09-26 14:39:01 EDT
Can you recreate this on the latest F15 2.6.40.x kernel without the fglrx driver loaded?
Comment 5 Lex Chou 2011-09-27 21:47:21 EDT
(In reply to comment #4)
> Can you recreate this on the latest F15 2.6.40.x kernel without the fglrx
> driver loaded?

I can reproduce this on my F15 2.6.40 x86_64 without fglrx, I'm using i7 2600 sandibridge display driver.
Comment 6 Dave Jones 2011-11-07 12:46:39 EST
*** Bug 751637 has been marked as a duplicate of this bug. ***
Comment 7 Dave Jones 2011-12-28 09:54:41 EST
*** Bug 770274 has been marked as a duplicate of this bug. ***
Comment 8 Josh Boyer 2012-01-23 10:48:55 EST
*** Bug 783608 has been marked as a duplicate of this bug. ***
Comment 9 Josh Boyer 2012-01-23 14:31:50 EST
*** Bug 782983 has been marked as a duplicate of this bug. ***
Comment 10 Josh Boyer 2012-01-26 12:44:47 EST
*** Bug 784929 has been marked as a duplicate of this bug. ***
Comment 11 Josh Boyer 2012-01-26 19:31:53 EST
*** Bug 785029 has been marked as a duplicate of this bug. ***
Comment 12 dev002 2012-02-08 07:43:16 EST
bug appears when LAN is at maximum throught (6 Mbytes/sg) transmitting data some seconds (~10 seconds).
All ethernet cards are affected. Networkt not usable after this, only with reboot.

00:08.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet (rev 10)
00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 78)


Linux 3.2.2-1.fc16.i686.PAE #1 SMP Thu Jan 26 03:30:43 UTC 2012 i686 i686 i386 GNU/Linux

------------[ cut here ]------------                                                                                               
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d6/0x1e0()                                                                 
Hardware name:..                                                                                                                   
NETDEV WATCHDOG: eth0 (r8169): transmit queue 0 timed out                                                                          
 Modules linked in: act_police cls_flow cls_fw cls_u32 sch_tbf sch_prio sch_hfsc sch_htb sch_ingress sch_sfq xt_realm xt_addrtype xt
Fconnmark xt_CLASSIFY xt_AUDIT ip6t_LOG ipt_LOG ip6t_REJECT xt_state iptable_nat nf_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defra
Pid: 0, comm: swapper/0 Tainted: G           O 3.2.2-1.fc16.i686.PAE #1                                                            
Call Trace:                                                                                                                        
[<c045e352>] warn_slowpath_common+0x72/0xa0                                                                                       
 [<c0862426>] ? dev_watchdog+0x1d6/0x1e0                                                                                           
[<c0862426>] ? dev_watchdog+0x1d6/0x1e0                                                                                           
 [<c045e423>] warn_slowpath_fmt+0x33/0x40                                                                                          
[<c0862426>] dev_watchdog+0x1d6/0x1e0                                                                                             
 [<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80                                                                              
[<c046c246>] run_timer_softirq+0xf6/0x2e0                                                                                         
[<c04c66b7>] ? __rcu_process_callbacks+0x47/0x310                                                                                 
[<c0862250>] ? qdisc_reset+0x40/0x40                                                                                              
[<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80                                                                              
[<c0464ee1>] __do_softirq+0x91/0x1c0                                                                                              
[<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80                                                                              
<IRQ>  [<c046523e>] ? irq_exit+0x7e/0xa0                                                                                          
[<c0413e7b>] ? do_IRQ+0x4b/0xc0                                                                                                   
 [<c0418608>] ? sched_clock+0x8/0x10                                                                                               
[<c04827cb>] ? sched_clock_local+0xcb/0x1c0                                                                                       
[<c0943ab0>] ? common_interrupt+0x30/0x38                                                                                         
  [<c06d1ebc>] ? arch_local_irq_enable+0x5/0xb                                                                                      
  [<c06d2b0c>] ? acpi_idle_enter_simple+0xf3/0x133                                                                                  
 [<c081452d>] ? cpuidle_idle_call+0xad/0x250                                                                                       
[<c041147c>] ? cpu_idle+0x9c/0xe0                                                                                                 
[<c091b435>] ? rest_init+0x5d/0x68                                                                                                
 [<c0bc679d>] ? start_kernel+0x357/0x35d                                                                                           
[<c0bc61d7>] ? loglevel+0x2b/0x2b                                                                                                 
[<c0bc60ba>] ? i386_start_kernel+0xa9/0xaf                                                                                        
F[ 1995.008689] ---[ end trace c97efd901ab15874 ]---                                                                                               
F[ 1995.012240] r8169 0000:00:08.0: eth0: link up                                                                                                  
Feb  8 12:17:43 mainframe kernel: [ 2205.012272] r8169 0000:00:08.0: eth0: link up
Comment 13 Francois Romieu 2012-02-09 08:46:05 EST
Created attachment 560582 [details]
standalone r8169.c driver backported from davem-next

This driver builds against 2.6.41.xx-y.fc15 tree. Makefile is included.
Comment 14 Francois Romieu 2012-02-09 08:54:29 EST
dev002, can you give attachment #560582 [details] a try ?

I would appreciate if people experiencing this kind of problem could send
the XID line printed by the r8169 driver. It is required to properly identify
the chipset.

Thanks.

-- 
Ueimor
Comment 15 James 2012-02-09 09:16:04 EST
My XID (I come here via bug 782983):

[   26.741376] r8169 0000:08:00.0: eth0: RTL8168b/8111b at 0xffffc90010912000, <mac redacted>, XID 18000000 IRQ 48
Comment 16 James 2012-02-09 09:22:24 EST
(In reply to comment #13)
> Created attachment 560582 [details]
> standalone r8169.c driver backported from davem-next
> 
> This driver builds against 2.6.41.xx-y.fc15 tree. Makefile is included.

Got one that builds against 3.2.3-2.fc16?
Comment 17 Francois Romieu 2012-02-10 05:08:52 EST
Created attachment 560859 [details]
standalone r8169.c driver backported from davem-next for 3.2

This driver builds against 3.2 tree (1..4). Makefile is included.
Comment 18 Francois Romieu 2012-02-10 05:20:16 EST
(In reply to comment #16)
[...]
> Got one that builds against 3.2.3-2.fc16?

Done.

If the bug happens, please:
- send the output of 'ethtool -d eth0'
- check that the interruption rate does not skyrocket (see 'vmstat 1')

Note to myself: I should really add ethtool support for post-8168b chipset. :o/

-- 
Ueimor
Comment 19 dev002 2012-02-12 07:36:20 EST
[root@ssl log]# 
------------[ cut here ]------------
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d6/0x1e0()
Hardware name:..
NETDEV WATCHDOG: eth0 (r8169): transmit queue 0 timed out
Modules linked in: act_police cls_flow cls_fw cls_u32 sch_tbf sch_prio sch_hfsc sch_htb sch_ingress sch_sfq xt_real
Feb 12 13:20:05 ssl kernel: SIFY ip6t_LOG ipt_LOG ip6t_REJECT iptable_nat nf_nat xt_state nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt
Pid: 0, comm: swapper/0 Tainted: G           O 3.2.5-3.fc16.i686.PAE #1
Call Trace:
[<c045e352>] warn_slowpath_common+0x72/0xa0
[<c0862436>] ? dev_watchdog+0x1d6/0x1e0
[<c0862436>] ? dev_watchdog+0x1d6/0x1e0
[<c045e423>] warn_slowpath_fmt+0x33/0x40
[<c0862436>] dev_watchdog+0x1d6/0x1e0
[<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80
[<c046c246>] run_timer_softirq+0xf6/0x2e0
[<c0862881>] ? __qdisc_run+0x41/0x100
[<c04c66b7>] ? __rcu_process_callbacks+0x47/0x310
[<c0862260>] ? qdisc_reset+0x40/0x40
[<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80
[<c0464ee1>] __do_softirq+0x91/0x1c0
[<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80
<IRQ>  [<c046523e>] ? irq_exit+0x7e/0xa0
[<c0413e7b>] ? do_IRQ+0x4b/0xc0
[<c0418608>] ? sched_clock+0x8/0x10
[<c04827cb>] ? sched_clock_local+0xcb/0x1c0
[<c0943a70>] ? common_interrupt+0x30/0x38
[<c06d1edc>] ? arch_local_irq_enable+0x5/0xb
[<c06d2b2c>] ? acpi_idle_enter_simple+0xf3/0x133
[<c06d289e>] ? acpi_idle_enter_bm+0xcf/0x26a
[<c0480d27>] ? hrtimer_start+0x27/0x30
[<c081453d>] ? cpuidle_idle_call+0xad/0x250
[<c041147c>] ? cpu_idle+0x9c/0xe0
[<c091b3f5>] ? rest_init+0x5d/0x68
[<c0bc679d>] ? start_kernel+0x357/0x35d
[<c0bc61d7>] ? loglevel+0x2b/0x2b
[<c0bc60ba>] ? i386_start_kernel+0xa9/0xaf
---[ end trace 7869240458c41b83 ]---


[root@ssl log]# ethtool -d eth0
RealTek RTL-8110S registers:
--------------------------------------------------------
0x00: MAC Address                      ******
0x08: Multicast Address Filter     0x82000080 0x40000200
0x10: Dump Tally Counter Command   0x00000000 0x00000000
0x20: Tx Normal Priority Ring Addr 0x34b5b000 0x00000000
0x28: Tx High Priority Ring Addr   0x20000100 0x00040010
0x30: Flash memory read/write                 0x00000000
0x34: Early Rx Byte Count                              0
0x36: Early Rx Status                               0x08
      ERxGood
0x37: Command                                       0x0c
      Rx on, Tx on
0x3C: Interrupt Mask                              0x807f
      SERR RxFIFO LinkChg RxNoBuf TxErr TxOK RxErr RxOK
0x3E: Interrupt Status                            0x0485
      TxNoBuf TxOK RxOK
0x40: Tx Configuration                        0x07000600
0x44: Rx Configuration                        0x0000e70e
0x48: Timer count                             0xe79cbe62
0x4C: Missed packet counter                     0x000000
0x50: EEPROM Command                                0x00
0x51: Config 0                                      0x04
0x52: Config 1                                      0x0c
0x53: Config 2                                      0x10
0x54: Config 3                                      0x81
0x55: Config 4                                      0x80
0x56: Config 5                                      0x01
0x58: Timer interrupt                         0x00000000
0x5C: Multiple Interrupt Select                   0x0000
0x60: PHY access                              0x80001000
0x64: TBI control and status                  0x00000000
0x68: TBI Autonegotiation advertisement (ANAR)    0x0000
0x6A: TBI Link partner ability (LPAR)             0x0000
0x6C: PHY status                                    0x73
0x84: PM wakeup frame 0            0x00030088 0x00000000
0x8C: PM wakeup frame 1            0x18004480 0x00000102
0x94: PM wakeup frame 2 (low)      0x40020400 0x00030100
0x9C: PM wakeup frame 2 (high)     0x00208a01 0x10000040
0xA4: PM wakeup frame 3 (low)      0x00080002 0x05410400
0xAC: PM wakeup frame 3 (high)     0xa2080403 0x10010000
0xB4: PM wakeup frame 4 (low)      0x04800001 0x00800280
0xBC: PM wakeup frame 4 (high)     0x00000010 0x00000002
0xC4: Wakeup frame 0 CRC                          0x0000
0xC6: Wakeup frame 1 CRC                          0x010c
0xC8: Wakeup frame 2 CRC                          0x0002
0xCA: Wakeup frame 3 CRC                          0x4200

0xCC: Wakeup frame 4 CRC                          0x0000
0xDA: RX packet maximum size                      0x4000
0xE0: C+ Command                                  0x606b
      VLAN de-tagging
      RX checksumming
      PCI Multiple RW
0xE2: Interrupt Mitigation                        0x0000
      TxTimer:       0
      TxPackets:     0
      RxTimer:       0
      RxPackets:     0
0xE4: Rx Ring Addr                 0x34a5f000 0x00000000
0xEC: Early Tx threshold                            0x3f
0xF0: Func Event                              0x00008000
0xF4: Func Event Mask                         0x00000000
0xF8: Func Preset State                       0x00008002
0xFC: Func Force Event                        0x00000000

[root@ssl log]# vmstat 1
procs -----------memory---------- ---swap-- -----io---- --system-- -----cpu-----
 r  b   swpd   free   buff  cache   si   so    bi    bo   in   cs us sy id wa st
 0  0      0 702564  42188 168060    0    0   392    20  239  270  6  5 89  0  0
 0  0      0 702556  42188 168088    0    0     0     0   52   42  0  0 100  0  0
 0  0      0 702556  42188 168088    0    0     0     0   57   51  0  0 100  0  0
 0  0      0 702556  42188 168088    0    0     0     0   72   78  0  0 100  0  0
 0  0      0 702556  42188 168088    0    0     0     0   73   59  0  0 100  0  0

[root@ssl log]# dmidecode
SMBIOS 2.3 present.
33 structures occupying 910 bytes.
Table at 0x000F0000.

Handle 0x0000, DMI type 0, 20 bytes
BIOS Information
<------>Vendor: Phoenix Technologies, LTD
<------>Version: 6.00 PG
<------>Release Date: 03/31/2009
<------>Address: 0xE0000
<------>Runtime Size: 128 kB
<------>ROM Size: 512 kB
<------>Characteristics:
<------><------>ISA is supported
<------><------>PCI is supported
<------><------>PNP is supported
<------><------>APM is supported
<------><------>BIOS is upgradeable
<------><------>BIOS shadowing is allowed
<------><------>Boot from CD is supported
<------><------>Selectable boot is supported
<------><------>BIOS ROM is socketed
<------><------>EDD is supported
<------><------>5.25"/360 kB floppy services are supported (int 13h)
<------><------>5.25"/1.2 MB floppy services are supported (int 13h)
<------><------>3.5"/720 kB floppy services are supported (int 13h)
<------><------>3.5"/2.88 MB floppy services are supported (int 13h)
<------><------>Print screen service is supported (int 5h)
<------><------>8042 keyboard services are supported (int 9h)
<------><------>Serial services are supported (int 14h)
<------><------>Printer services are supported (int 17h)
<------><------>CGA/mono video services are supported (int 10h)
<------><------>ACPI is supported
<------><------>USB legacy is supported
<------><------>AGP is supported
<------><------>LS-120 boot is supported
<------><------>ATAPI Zip drive boot is supported
<------><------>BIOS boot specification is supported

Handle 0x0004, DMI type 4, 35 bytes
Processor Information
<------>Socket Designation: Socket 370
<------>Type: Central Processor
<------>Family: Other
<------>Manufacturer: VIA
<------>ID: A9 06 00 00 FF BB C9 A7
<------>Version: VIA C7-D
<------>Voltage: 1.0 V
<------>External Clock: 100 MHz
<------>Max Speed: 1500 MHz
<------>Current Speed: 1500 MHz
<------>Status: Populated, Enabled
<------>Upgrade: ZIF Socket
<------>L1 Cache Handle: 0x0008
<------>L2 Cache Handle: 0x0009
<------>L3 Cache Handle: Not Provided
<------>Serial Number:..
<------>Asset Tag:..
<------>Part Number:..

[root@ssl log]# ifconfig eth0
eth0      Link encap:Ethernet  HWaddr ***
          inet addr:192.168.0.1  Bcast:192.168.0.255  Mask:255.255.255.0
          inet6 addr: fe80::***/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1936 errors:0 dropped:0 overruns:0 frame:0
          TX packets:4252 errors:0 dropped:46 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:165329 (161.4 KiB)  TX bytes:6021205 (5.7 MiB)
          Interrupt:16 Base address:0xc000

[root@ssl log]# ping 192.168.0.3
PING 192.168.0.3 (192.168.0.3) 56(84) bytes of data.
From 192.168.0.1 icmp_seq=2 Destination Host Unreachable
From 192.168.0.1 icmp_seq=3 Destination Host Unreachable
From 192.168.0.1 icmp_seq=4 Destination Host Unreachable
^C
--- 192.168.0.3 ping statistics ---
4 packets transmitted, 0 received, +3 errors, 100% packet loss, time 3000ms
pipe 3
Comment 20 dev002 2012-02-12 07:43:16 EST
Really, I think that it is not problem of driver, I have the same issue in other ethernet card.

00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 78)
Comment 21 dev002 2012-02-12 07:54:34 EST
r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
r8169 0000:00:08.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
r8169 0000:00:08.0: PCI: Disallowing DAC for device
r8169 0000:00:08.0: (unregistered net_device): not PCI Express
r8169 0000:00:08.0: eth0: RTL8110s at 0xf7e2c000, *, XID 04000000 IRQ 16
r8169 0000:00:08.0: eth0: jumbo features [frames: 7152 bytes, tx checksumming: ok]


via_rhine: v1.10-LK1.5.0 2010-10-09 Written by Donald Becker
via_rhine: Broken BIOS detected, avoid_D3 enabled
ACPI: PCI Interrupt Link [ALKD] enabled at IRQ 23
via-rhine 0000:00:12.0: PCI INT A -> Link[ALKD] -> GSI 23 (level, low) -> IRQ 23
via-rhine 0000:00:12.0: eth1: VIA Rhine II at 0xfdffd000, *, IRQ 23
via-rhine 0000:00:12.0: eth1: MII PHY found at address 1, status 0x7849 advertising 05e1 Link 0000
Comment 22 dev002 2012-02-23 13:45:48 EST
New format:

------------[ cut here ]------------
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x1d6/0x1e0()
Hardware name:..
NETDEV WATCHDOG: eth0 (r8169): transmit queue 0 timed out
Modules linked in: ppp_deflate zlib_deflate ppp_async ppp_generic slhc act_police cls_flow cls_fw cls_u32 sch_tbf s
xt_DSCP xt_dscp xt_dccp xt_connmark xt_CLASSIFY xt_AUDIT ip6t_LOG ipt_LOG ip6t_REJECT iptable_nat xt_state nf_nat nf_conntrack_ipv
Pid: 4777, comm: httpd Not tainted 3.2.6-3.fc16.i686.PAE #1
Call Trace:
[<c045e352>] warn_slowpath_common+0x72/0xa0
[<c0862516>] ? dev_watchdog+0x1d6/0x1e0
[<c0862516>] ? dev_watchdog+0x1d6/0x1e0
[<c045e423>] warn_slowpath_fmt+0x33/0x40
[<c0862516>] dev_watchdog+0x1d6/0x1e0
[<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80
[<c046c246>] run_timer_softirq+0xf6/0x2e0
[<c04c6727>] ? __rcu_process_callbacks+0x47/0x310
[<c0862340>] ? qdisc_reset+0x40/0x40
[<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80
[<c0464ee1>] __do_softirq+0x91/0x1c0
[<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80
<IRQ>  [<c046523e>] ? irq_exit+0x7e/0xa0
[<c042e5b9>] ? smp_apic_timer_interrupt+0x59/0x90
[<c093cfa9>] ? apic_timer_interrupt+0x31/0x38
---[ end trace 640ff3a4d9e69c03 ]---
Comment 23 dev002 2012-02-27 19:50:50 EST
At this moment, bug seems to dissapear if HPET is disabled.  HPET is VIA.
Comment 24 Josh Boyer 2012-03-14 09:40:52 EDT
*** Bug 803245 has been marked as a duplicate of this bug. ***
Comment 25 Josh Boyer 2012-03-21 10:00:59 EDT
*** Bug 805348 has been marked as a duplicate of this bug. ***
Comment 26 Dave Jones 2012-03-22 10:47:09 EDT
*** Bug 803049 has been marked as a duplicate of this bug. ***
Comment 27 thomas.wuercher 2012-03-27 13:57:42 EDT
Just surfing using Chrome browser.

Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 28 Dave Jones 2012-04-02 12:32:42 EDT
*** Bug 808748 has been marked as a duplicate of this bug. ***
Comment 29 Jan Wildeboer 2012-04-05 07:28:22 EDT
Connected iPhone 3GS with uptodate iOS (5.1) via USB, opened Shotwell, tried to import pictures.

Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 30 Oliver Henshaw 2012-04-09 18:29:47 EDT
Does this go back further than last summer? Bug #538920 looks similar to this.

Personally, I've never had this problem before with "r8169 0000:03:00.0: eth0: RTL8168d/8111d at 0xffffc900117d4000, 6c:f0:49:ec:b1:f0, XID 083000c0 IRQ 47" until just now on 3.3.0-4.fc16.x86_64.


Howver, I did have a network problem about a year ago iirc - http://forum.giga-byte.co.uk/index.php?topic=4109.0 seems to describe it. The network cable intermittently disconnected (with no kernel oops messages) and after a while wouldn't recover unless I shutdown, turned off the power supply and then held down the power button to discharge the capacitors. http://ubuntuforums.org/showthread.php?p=10167364 is one of a few threads discussing this. Only difference is that this system does NOT dual boot windows.

This persisted until I updated to the most recent (FF) bios for the 890GPA rev2.1 motherboard, after which the network problems stopped.

Recently something went wrong with the motherboard and the DualBios recovery system reverted to the factory-shipped bios. I was running with that bios for a couple of weeks before updating to the FF bios again. Maybe this has triggered something, or maybe this is completely unrelated.
Comment 31 infernix 2012-04-19 09:10:31 EDT
Seeing this on a MSI Z68A-GD80 (MS-7672), Intel Z68 board. Stock 3.3.2 kernel.

# ethtool -d eth0
Unknown RealTek chip (mask: 0xfcc00000)
# dmesg|grep -i xid
r8169 0000:02:00.0: eth0: RTL8168evl/8111evl at 0xffffc9001427c000, xx:xx:xx:xx:xx:xx, XID 0c900800 IRQ 65
r8169 0000:03:00.0: eth1: RTL8168evl/8111evl at 0xffffc90013ee8000, xx:xx:xx:xx:xx:xx, XID 0c900800 IRQ 66

Bios has pretty much everything enabled.

Machine doesn't panic or oops, but after the first warning, intermittent network hiccups occur:

Apr 19 15:00:10 believe kernel: r8169 0000:02:00.0: eth0: link up
Apr 19 15:03:28 believe kernel: r8169 0000:02:00.0: eth0: link up
Apr 19 15:06:46 believe kernel: r8169 0000:02:00.0: eth0: link up


WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x259/0x270()
Hardware name: MS-7672
NETDEV WATCHDOG: eth0 (r8169): transmit queue 0 timed out
Modules linked in: pci_stub ip6table_filter ip6_tables iptable_filter ip_tables ebtable_nat ebtables x_tables binfmt_misc bridge stp llc microcode snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_usb_audio snd_hda_codec snd_usbmidi_lib snd_seq_dummy snd_hwdep snd_pcm_oss snd_seq_oss snd_mixer_oss snd_seq_midi snd_pcm snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device snd joydev soundcore snd_page_alloc pcspkr r8169 mii vhost_net tun f71882fg coretemp i2c_i801 e1000 kvm_intel kvm uinput evdev iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ipv6
Pid: 40, comm: ksoftirqd/7 Not tainted 3.3.2 #2
Call Trace:
 [<ffffffff8163db00>] ? dev_watchdog+0x250/0x270
 [<ffffffff8103077b>] ? warn_slowpath_common+0x7b/0xc0
 [<ffffffff81030875>] ? warn_slowpath_fmt+0x45/0x50
 [<ffffffff8163db09>] ? dev_watchdog+0x259/0x270
 [<ffffffff8103c09b>] ? cascade+0x7b/0xa0
 [<ffffffff8103c1c5>] ? run_timer_softirq+0x105/0x230
 [<ffffffff8163d8b0>] ? qdisc_reset+0x40/0x40
 [<ffffffff81036498>] ? __do_softirq+0x98/0x120
 [<ffffffff81036637>] ? run_ksoftirqd+0x117/0x230
 [<ffffffff81036520>] ? __do_softirq+0x120/0x120
 [<ffffffff8104bb95>] ? kthread+0x85/0x90
 [<ffffffff816ee2d4>] ? kernel_thread_helper+0x4/0x10
 [<ffffffff8104bb10>] ? kthread_freezable_should_stop+0x60/0x60
 [<ffffffff816ee2d0>] ? gs_change+0xb/0xb
Comment 32 Francois Romieu 2012-04-19 11:18:48 EDT
(In reply to comment #31)
> Seeing this on a MSI Z68A-GD80 (MS-7672), Intel Z68 board. Stock 3.3.2 kernel.
> 
> # ethtool -d eth0
> Unknown RealTek chip (mask: 0xfcc00000)
> # dmesg|grep -i xid
> r8169 0000:02:00.0: eth0: RTL8168evl/8111evl at 0xffffc9001427c000,
> xx:xx:xx:xx:xx:xx, XID 0c900800 IRQ 65
> r8169 0000:03:00.0: eth1: RTL8168evl/8111evl at 0xffffc90013ee8000,
> xx:xx:xx:xx:xx:xx, XID 0c900800 IRQ 66

Both eth[01] are configured and connected to a network device, right ?

Please send the output of ethtool -i eth0 (resp. eth1). If you are not at revision
0.0.4 of the firmware, you can try the update from:

git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git

(see the "rtl_nic" directory).

Other than that, please remove the "& 0x9cf0f8ff" from the driver sources and
send the updated output from 'dmesg'. Support could be missing for some
8168evl sub-revision.

Thanks.

-- 
Ueimor
Comment 33 infernix 2012-04-19 12:08:36 EDT
(In reply to comment #32)
> Both eth[01] are configured and connected to a network device, right ?

Only eth0 is.

> Please send the output of ethtool -i eth0 (resp. eth1).

Updated to 0.0.4:

# ethtool -i eth0
driver: r8169
version: 2.3LK-NAPI
firmware-version: rtl8168e-3_0.0.4 03/27/12
bus-info: 0000:02:00.0
supports-statistics: yes
supports-test: no
supports-eeprom-access: no
supports-register-dump: yes

# ethtool -d eth0
Unknown RealTek chip (mask: 0xfcc00000)

> Other than that, please remove the "& 0x9cf0f8ff" from the driver sources and
> send the updated output from 'dmesg'. Support could be missing for some
> 8168evl sub-revision.

Did that; dmesg:

r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
r8169 0000:02:00.0: irq 65 for MSI/MSI-X
r8169 0000:02:00.0: eth0: RTL8168evl/8111evl at 0xffffc90025b28000, 8c:89:a5:8b:6d:70, XID 2f900e80 IRQ 65
r8169 0000:02:00.0: eth0: jumbo features [frames: 9200 bytes, tx checksumming: ko]
r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
r8169 0000:03:00.0: irq 66 for MSI/MSI-X
r8169 0000:03:00.0: eth1: RTL8168evl/8111evl at 0xffffc90013ee8000, 8c:89:a5:8b:6d:71, XID 2f900d00 IRQ 66
r8169 0000:03:00.0: eth1: jumbo features [frames: 9200 bytes, tx checksumming: ko]

ethtool -i and -d still return the same data.
Comment 34 Josh Boyer 2012-04-26 09:31:05 EDT
*** Bug 816417 has been marked as a duplicate of this bug. ***
Comment 35 Josh Boyer 2012-05-16 11:39:29 EDT
*** Bug 822195 has been marked as a duplicate of this bug. ***
Comment 36 Josh Boyer 2012-06-06 10:37:32 EDT
Moving to rawhide so this doesn't get closed due to F15 EOL
Comment 37 Dave Jones 2012-06-18 11:38:31 EDT
*** Bug 833080 has been marked as a duplicate of this bug. ***
Comment 38 Josh Boyer 2012-06-20 10:54:36 EDT
*** Bug 833698 has been marked as a duplicate of this bug. ***
Comment 39 Joseph D. Wagner 2012-06-21 15:19:35 EDT
abrt_version:   2.0.10
cmdline:        BOOT_IMAGE=/vmlinuz-3.4.2-4.fc17.x86_64 root=/dev/mapper/secured-root ro rd.md=0 rd.luks.uuid=WITHHELD rd.dm=0 SYSFONT=True rd.lvm.lv=secured/root rd.luks.uuid=WITHHELD KEYTABLE=us rd.lvm.lv=secured/swap LANG=en_US.UTF-8 rhgb quiet
kernel:         3.4.0-1.fc17.x86_64
time:           Thu 21 Jun 2012 11:54:02 AM PDT

backtrace:
:WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x250/0x260()
:Hardware name: MS-7388
:NETDEV WATCHDOG: p6p1 (r8169): transmit queue 0 timed out
:Modules linked in: xt_LOG nf_conntrack_ipv4 nf_defrag_ipv4 lockd bnep sunrpc bluetooth rfkill ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state ip6table_filter ip6_tables xt_connlimit xt_conntrack nf_conntrack snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_page_alloc snd_timer fuse sp5100_tco snd k8temp r8169 edac_core edac_mce_amd mii soundcore i2c_piix4 serio_raw uinput xts gf128mul dm_crypt ata_generic pata_acpi pata_atiixp wmi radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 4189, comm: firefox Not tainted 3.4.0-1.fc17.x86_64 #1
:Call Trace:
: <IRQ>  [<ffffffff8105681f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8101a8e9>] ? sched_clock+0x9/0x10
: [<ffffffff81056916>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff810919f1>] ? trigger_load_balance+0x61/0x2e0
: [<ffffffff815019c0>] dev_watchdog+0x250/0x260
: [<ffffffff81501770>] ? dev_deactivate_queue.constprop.30+0x80/0x80
: [<ffffffff810659c1>] run_timer_softirq+0x141/0x340
: [<ffffffff8107bc69>] ? enqueue_hrtimer+0x29/0x90
: [<ffffffff8105dbc0>] __do_softirq+0xc0/0x1e0
: [<ffffffff815f9edc>] call_softirq+0x1c/0x30
: [<ffffffff810151f5>] do_softirq+0x75/0xb0
: [<ffffffff8105df95>] irq_exit+0xb5/0xc0
: [<ffffffff815fa81e>] smp_apic_timer_interrupt+0x6e/0x99
: [<ffffffff815f958a>] apic_timer_interrupt+0x6a/0x70
: <EOI>  [<ffffffff815f8c10>] ? sysret_audit+0x17/0x21

smolt_data:
:
:
:General
:=================================
:UUID: 8c00c362-11f8-4291-80b0-4f4b13a39a8a
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4999.87
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) Dual Core Processor 4850e
:CPU Stepping: 2
:CPU Family: 15
:CPU Model Num: 107
:Number of CPUs: 2
:CPU Speed: 2500
:System Memory: 3955
:System Swap: 8191
:Vendor: MICRO-STAR INTERNATIONAL CO.,LTD
:System: MS-7388 1.0
:Form factor: Desktop
:Kernel: 3.4.2-4.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:22908:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (PCI express gpp port C)
:(4098:43552:5218:43552) pci, snd_hda_intel, MULTIMEDIA, RV635 Audio device [Radeon HD 3600 Series]
:(4098:17290:5218:29576) pci, ohci_hcd, USB, SB600 USB (OHCI3)
:(4098:22872:4098:22872) pci, None, HOST/PCI, RD780 Northbridge only dual slot PCI-e_GFX and HT1 K8 part
:(4098:17292:5218:29576) pci, pata_atiixp, STORAGE, SB600 IDE
:(4332:33128:5218:14476) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4098:17280:5218:29576) pci, ahci, STORAGE, SB600 Non-Raid-5 SATA
:(4098:22904:4098:22872) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (external gfx0 port A)
:(4098:17285:5218:29576) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17293:5218:29576) pci, None, PCI/ISA, SB600 PCI to LPC Bridge
:(4098:17283:5218:29576) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17289:5218:29576) pci, ohci_hcd, USB, SB600 USB (OHCI2)
:(4098:38296:5218:4496) pci, radeon, VIDEO, Mobility Radeon HD 3600 Series
:(4098:17287:5218:29576) pci, ohci_hcd, USB, SB600 USB (OHCI0)
:(4098:17288:5218:29576) pci, ohci_hcd, USB, SB600 USB (OHCI1)
:(4098:17291:5218:29576) pci, ohci_hcd, USB, SB600 USB (OHCI4)
:(4098:17286:5218:29576) pci, ehci_hcd, USB, SB600 USB Controller (EHCI)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/secured-root / ext4 4096 4096 67031890 62799345 59443902 16777216 16636563 16636563
:/dev/sda2 WITHHELD fuseblk 16384 16384 22135483 18887047 18887047 302323824 302322569 302322569
:/dev/sdb2 /boot ext4 1024 1024 496449 437167 412182 124928 124589 124589
:/dev/mapper/secured-home /home ext4 4096 4096 418632878 224482005 203530146 104759296 104729919 104729919
:

END:
Comment 40 Joseph D. Wagner 2012-06-21 15:40:29 EDT
This bug seems related to my case, which feels odd.  This bug was originally reported 2011-06-21 but it didn't impact me until the update on 2012-06-17 (kernel-3.4.2-4.fc17.x86_64).  In my case, there is no noticeable loss in functionality.

# ethtool -d p6p1
RealTek RTL-8168/8111Bef registers:
--------------------------------------------------------
0x00: MAC Address                      00:1d:92:dd:58:32
0x08: Multicast Address Filter     0x00000041 0x00800080
0x10: Dump Tally Counter Command   0x00000000 0x00000000
0x20: Tx Normal Priority Ring Addr 0xcf89a000 0x00000000
0x28: Tx High Priority Ring Addr   0xcfd1b100 0x00000000
0x34: Early Rx Byte Count                              0
0x36: Early Rx Status                               0x00
0x37: Command                                       0x0c
      Rx on, Tx on
0x3C: Interrupt Mask                              0x803f
      SERR LinkChg RxNoBuf TxErr TxOK RxErr RxOK 
0x3E: Interrupt Status                            0x0000
      
0x40: Tx Configuration                        0x3b000600
0x44: Rx Configuration                        0x0000e70e
0x48: Timer count                             0x3da444fd
0x4C: Missed packet counter                     0x000000
0x50: EEPROM Command                                0x00
0x51: Config 0                                      0x05
0x52: Config 1                                      0x0f
0x53: Config 2                                      0x30
0x54: Config 3                                      0x60
0x55: Config 4                                      0x00
0x56: Config 5                                      0x01
0x58: Timer interrupt                         0x00000000
0x5C: Multiple Interrupt Select                   0x0000
0x60: PHY access                              0x80001000
0x6C: PHY status                                    0x73
0x84: PM wakeup frame 0            0x00000000 0x00000000
0x8C: PM wakeup frame 1            0x00000000 0x00000000
0x94: PM wakeup frame 2 (low)      0x00000000 0x00000000
0x9C: PM wakeup frame 2 (high)     0x00000000 0x00000000
0xA4: PM wakeup frame 3 (low)      0x00000000 0x00000000
0xAC: PM wakeup frame 3 (high)     0x00000000 0x00000000
0xB4: PM wakeup frame 4 (low)      0x00000000 0x00000000
0xBC: PM wakeup frame 4 (high)     0x00000000 0x00000000
0xC4: Wakeup frame 0 CRC                          0x0000
0xC6: Wakeup frame 1 CRC                          0x0000
0xC8: Wakeup frame 2 CRC                          0x0000
0xCA: Wakeup frame 3 CRC                          0x0000
0xCC: Wakeup frame 4 CRC                          0x0000
0xDA: RX packet maximum size                      0x4000
0xE0: C+ Command                                  0x2021
      RX checksumming
0xE2: Interrupt Mitigation                        0x5151
      TxTimer:       5
      TxPackets:     1
      RxTimer:       5
      RxPackets:     1
0xE4: Rx Ring Addr                 0xcf89b000 0x00000000
0xEC: Early Tx threshold                            0x3f

# dmidecode 2.11
SMBIOS 2.5 present.
53 structures occupying 2019 bytes.
Table at 0x000FC940.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
	Vendor: American Megatrends Inc.
	Version: V1.10
	Release Date: 06/17/2009
	Address: 0xF0000
	Runtime Size: 64 kB
	ROM Size: 1024 kB
	Characteristics:
		ISA is supported
		PCI is supported
		PNP is supported
		APM is supported
		BIOS is upgradeable
		BIOS shadowing is allowed
		ESCD support is available
		Boot from CD is supported
		Selectable boot is supported
		BIOS ROM is socketed
		EDD is supported
		5.25"/1.2 MB floppy services are supported (int 13h)
		3.5"/720 kB floppy services are supported (int 13h)
		3.5"/2.88 MB floppy services are supported (int 13h)
		Print screen service is supported (int 5h)
		8042 keyboard services are supported (int 9h)
		Serial services are supported (int 14h)
		Printer services are supported (int 17h)
		CGA/mono video services are supported (int 10h)
		ACPI is supported
		USB legacy is supported
		LS-120 boot is supported
		ATAPI Zip drive boot is supported
		BIOS boot specification is supported
		Targeted content distribution is supported
	BIOS Revision: 8.14

Handle 0x0001, DMI type 1, 27 bytes
System Information
	Manufacturer: MICRO-STAR INTERNATIONAL CO.,LTD
	Product Name: MS-7388
	Version: 1.0
	Serial Number: To Be Filled By O.E.M.
	UUID: Not Present
	Wake-up Type: Power Switch
	SKU Number: To Be Filled By O.E.M.
	Family: To Be Filled By O.E.M.

Handle 0x0002, DMI type 2, 15 bytes
Base Board Information
	Manufacturer: MICRO-STAR INTERNATIONAL CO.,LTD
	Product Name: MS-7388
	Version: 1.0
	Serial Number: To be filled by O.E.M.
	Asset Tag: To Be Filled By O.E.M.
	Features:
		Board is a hosting board
		Board is replaceable
	Location In Chassis: To Be Filled By O.E.M.
	Chassis Handle: 0x0003
	Type: Motherboard
	Contained Object Handles: 0

Handle 0x0003, DMI type 3, 21 bytes
Chassis Information
	Manufacturer: To Be Filled By O.E.M.
	Type: Desktop
	Lock: Not Present
	Version: To Be Filled By O.E.M.
	Serial Number: To Be Filled By O.E.M.
	Asset Tag: To Be Filled By O.E.M.
	Boot-up State: Safe
	Power Supply State: Safe
	Thermal State: Safe
	Security Status: None
	OEM Information: 0x00000000
	Height: Unspecified
	Number Of Power Cords: 1
	Contained Elements: 0

Handle 0x0004, DMI type 4, 40 bytes
Processor Information
	Socket Designation: CPU 1
	Type: Central Processor
	Family: Athlon 64 X2
	Manufacturer: AMD              
	ID: B2 0F 06 00 FF FB 8B 17
	Signature: Family 15, Model 107, Stepping 2
	Flags:
		FPU (Floating-point unit on-chip)
		VME (Virtual mode extension)
		DE (Debugging extension)
		PSE (Page size extension)
		TSC (Time stamp counter)
		MSR (Model specific registers)
		PAE (Physical address extension)
		MCE (Machine check exception)
		CX8 (CMPXCHG8 instruction supported)
		APIC (On-chip APIC hardware supported)
		SEP (Fast system call)
		MTRR (Memory type range registers)
		PGE (Page global enable)
		MCA (Machine check architecture)
		CMOV (Conditional move instruction supported)
		PAT (Page attribute table)
		PSE-36 (36-bit page size extension)
		CLFSH (CLFLUSH instruction supported)
		MMX (MMX technology supported)
		FXSR (FXSAVE and FXSTOR instructions supported)
		SSE (Streaming SIMD extensions)
		SSE2 (Streaming SIMD extensions 2)
		HTT (Multi-threading)
	Version: AMD Athlon(tm) Dual Core Processor 4850e            
	Voltage: 1.5 V
	External Clock: 200 MHz
	Max Speed: 2400 MHz
	Current Speed: 2500 MHz
	Status: Populated, Enabled
	Upgrade: Other
	L1 Cache Handle: 0x0005
	L2 Cache Handle: 0x0006
	L3 Cache Handle: 0x0007
	Serial Number: To Be Filled By O.E.M.
	Asset Tag: To Be Filled By O.E.M.
	Part Number: To Be Filled By O.E.M.
	Core Count: 2
	Core Enabled: 2
	Characteristics:
		64-bit capable

Handle 0x0005, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L1-Cache
	Configuration: Enabled, Not Socketed, Level 1
	Operational Mode: Varies With Memory Address
	Location: Internal
	Installed Size: 256 kB
	Maximum Size: 256 kB
	Supported SRAM Types:
		Pipeline Burst
	Installed SRAM Type: Pipeline Burst
	Speed: Unknown
	Error Correction Type: Single-bit ECC
	System Type: Data
	Associativity: 4-way Set-associative

Handle 0x0006, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L2-Cache
	Configuration: Enabled, Not Socketed, Level 2
	Operational Mode: Varies With Memory Address
	Location: Internal
	Installed Size: 1024 kB
	Maximum Size: 1024 kB
	Supported SRAM Types:
		Pipeline Burst
	Installed SRAM Type: Pipeline Burst
	Speed: Unknown
	Error Correction Type: Single-bit ECC
	System Type: Unified
	Associativity: 4-way Set-associative

Handle 0x0007, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L3-Cache
	Configuration: Disabled, Not Socketed, Level 3
	Operational Mode: Unknown
	Location: Internal
	Installed Size: 0 kB
	Maximum Size: 0 kB
	Supported SRAM Types:
		Unknown
	Installed SRAM Type: Unknown
	Speed: Unknown
	Error Correction Type: Unknown
	System Type: Unknown
	Associativity: Unknown

Handle 0x0008, DMI type 5, 24 bytes
Memory Controller Information
	Error Detecting Method: 64-bit ECC
	Error Correcting Capabilities:
		None
	Supported Interleave: One-way Interleave
	Current Interleave: One-way Interleave
	Maximum Memory Module Size: 512 MB
	Maximum Total Memory Size: 2048 MB
	Supported Speeds:
		70 ns
		60 ns
	Supported Memory Types:
		SIMM
		DIMM
		SDRAM
	Memory Module Voltage: 3.3 V
	Associated Memory Slots: 4
		0x0009
		0x000A
		0x000B
		0x000C
	Enabled Error Correcting Capabilities:
		None

Handle 0x0009, DMI type 6, 12 bytes
Memory Module Information
	Socket Designation: DIMM0
	Bank Connections: 0 5
	Current Speed: 161 ns
	Type: ECC DIMM
	Installed Size: 2048 MB (Double-bank Connection)
	Enabled Size: 2048 MB (Double-bank Connection)
	Error Status: OK

Handle 0x000A, DMI type 6, 12 bytes
Memory Module Information
	Socket Designation: DIMM1
	Bank Connections: 0 5
	Current Speed: 163 ns
	Type: ECC DIMM
	Installed Size: 2048 MB (Double-bank Connection)
	Enabled Size: 2048 MB (Double-bank Connection)
	Error Status: OK

Handle 0x000B, DMI type 6, 12 bytes
Memory Module Information
	Socket Designation: DIMM2
	Bank Connections: 1
	Current Speed: 165 ns
	Type: Unknown
	Installed Size: Not Installed
	Enabled Size: Not Installed
	Error Status: OK

Handle 0x000C, DMI type 6, 12 bytes
Memory Module Information
	Socket Designation: DIMM3
	Bank Connections: 1
	Current Speed: 167 ns
	Type: Unknown
	Installed Size: Not Installed
	Enabled Size: Not Installed
	Error Status: OK

Handle 0x000D, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J1A1
	Internal Connector Type: None
	External Reference Designator: Mouse
	External Connector Type: PS/2
	Port Type: Mouse Port

Handle 0x000E, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J1A1
	Internal Connector Type: None
	External Reference Designator: Keyboard
	External Connector Type: PS/2
	Port Type: Keyboard Port

Handle 0x000F, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J2A2
	Internal Connector Type: None
	External Reference Designator: USB1
	External Connector Type: Access Bus (USB)
	Port Type: USB

Handle 0x0010, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J2A2
	Internal Connector Type: None
	External Reference Designator: USB2
	External Connector Type: Access Bus (USB)
	Port Type: USB

Handle 0x0011, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J4A1
	Internal Connector Type: None
	External Reference Designator: LPT 1
	External Connector Type: DB-25 male
	Port Type: Parallel Port ECP/EPP

Handle 0x0012, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J2A1
	Internal Connector Type: None
	External Reference Designator: COM A
	External Connector Type: DB-9 male
	Port Type: Serial Port 16550A Compatible

Handle 0x0013, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J6A1
	Internal Connector Type: None
	External Reference Designator: Audio Mic In
	External Connector Type: Mini Jack (headphones)
	Port Type: Audio Port

Handle 0x0014, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J6A1
	Internal Connector Type: None
	External Reference Designator: Audio Line In
	External Connector Type: Mini Jack (headphones)
	Port Type: Audio Port

Handle 0x0015, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J6B1 - AUX IN
	Internal Connector Type: On Board Sound Input From CD-ROM
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Audio Port

Handle 0x0016, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J6B2 - CDIN
	Internal Connector Type: On Board Sound Input From CD-ROM
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Audio Port

Handle 0x0017, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J6J2 - PRI IDE
	Internal Connector Type: On Board IDE
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0018, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J6J1 - SEC IDE
	Internal Connector Type: On Board IDE
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0019, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J4J1 - FLOPPY
	Internal Connector Type: On Board Floppy
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x001A, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J9H1 - FRONT PNL
	Internal Connector Type: 9 Pin Dual Inline (pin 10 cut)
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x001B, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J1B1 - CHASSIS REAR FAN
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x001C, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J2F1 - CPU FAN
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x001D, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J8B4 - FRONT FAN
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x001E, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J9G2 - FNT USB
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x001F, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J6C3 - FP AUD
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0020, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J9G1 - CONFIG
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0021, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J8C1 - SCSI LED
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0022, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J9J2 - INTRUDER
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0023, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: J9G4 - ITP
	Internal Connector Type: Other
	External Reference Designator: Not Specified
	External Connector Type: None
	Port Type: Other

Handle 0x0024, DMI type 9, 13 bytes
System Slot Information
	Designation: PCI1
	Type: 32-bit PCI
	Current Usage: Available
	Length: Short
	ID: 1
	Characteristics:
		3.3 V is provided
		Opening is shared
		PME signal is supported

Handle 0x0025, DMI type 9, 13 bytes
System Slot Information
	Designation: PCI2
	Type: 32-bit PCI
	Current Usage: In Use
	Length: Short
	ID: 2
	Characteristics:
		3.3 V is provided
		Opening is shared
		PME signal is supported

Handle 0x0026, DMI type 10, 6 bytes
On Board Device Information
	Type: Video
	Status: Enabled
	Description:   To Be Filled By O.E.M.

Handle 0x0027, DMI type 11, 5 bytes
OEM Strings
	String 1: To Be Filled By O.E.M.

Handle 0x0028, DMI type 12, 5 bytes
System Configuration Options
	Option 1: To Be Filled By O.E.M.

Handle 0x0029, DMI type 13, 22 bytes
BIOS Language Information
	Language Description Format: Abbreviated
	Installable Languages: 1
		en|US|iso8859-1
	Currently Installed Language: en|US|iso8859-1

Handle 0x002A, DMI type 16, 15 bytes
Physical Memory Array
	Location: System Board Or Motherboard
	Use: System Memory
	Error Correction Type: None
	Maximum Capacity: 8 GB
	Error Information Handle: Not Provided
	Number Of Devices: 4

Handle 0x002B, DMI type 19, 15 bytes
Memory Array Mapped Address
	Starting Address: 0x00000000000
	Ending Address: 0x0012FFFFFFF
	Range Size: 4864 MB
	Physical Array Handle: 0x002A
	Partition Width: 1

Handle 0x002C, DMI type 17, 27 bytes
Memory Device
	Array Handle: 0x002A
	Error Information Handle: Not Provided
	Total Width: 64 bits
	Data Width: 72 bits
	Size: 2048 MB
	Form Factor: DIMM
	Set: None
	Locator: DIMM0
	Bank Locator: BANK0
	Type: DDR2
	Type Detail: Synchronous
	Speed: 333 MHz
	Manufacturer: Manufacturer0
	Serial Number: SerNum0
	Asset Tag: AssetTagNum0
	Part Number: PartNum0

Handle 0x002D, DMI type 20, 19 bytes
Memory Device Mapped Address
	Starting Address: 0x00000000000
	Ending Address: 0x0007FFFFFFF
	Range Size: 2 GB
	Physical Device Handle: 0x002C
	Memory Array Mapped Address Handle: 0x002B
	Partition Row Position: 1

Handle 0x002E, DMI type 17, 27 bytes
Memory Device
	Array Handle: 0x002A
	Error Information Handle: Not Provided
	Total Width: 64 bits
	Data Width: 72 bits
	Size: 2048 MB
	Form Factor: DIMM
	Set: None
	Locator: DIMM1
	Bank Locator: BANK1
	Type: DDR2
	Type Detail: Synchronous
	Speed: 333 MHz
	Manufacturer: Manufacturer1
	Serial Number: SerNum1
	Asset Tag: AssetTagNum1
	Part Number: PartNum1

Handle 0x002F, DMI type 20, 19 bytes
Memory Device Mapped Address
	Starting Address: 0x00080000000
	Ending Address: 0x000FFFFFFFF
	Range Size: 2 GB
	Physical Device Handle: 0x002E
	Memory Array Mapped Address Handle: 0x002B
	Partition Row Position: 1

Handle 0x0030, DMI type 17, 27 bytes
Memory Device
	Array Handle: 0x002A
	Error Information Handle: Not Provided
	Total Width: Unknown
	Data Width: Unknown
	Size: No Module Installed
	Form Factor: DIMM
	Set: None
	Locator: DIMM2
	Bank Locator: BANK2
	Type: SDRAM
	Type Detail: None
	Speed: Unknown
	Manufacturer: Manufacturer2
	Serial Number: SerNum2
	Asset Tag: AssetTagNum2
	Part Number: PartNum2

Handle 0x0031, DMI type 126, 19 bytes
Inactive

Handle 0x0032, DMI type 17, 27 bytes
Memory Device
	Array Handle: 0x002A
	Error Information Handle: Not Provided
	Total Width: Unknown
	Data Width: Unknown
	Size: No Module Installed
	Form Factor: DIMM
	Set: None
	Locator: DIMM3
	Bank Locator: BANK3
	Type: SDRAM
	Type Detail: None
	Speed: Unknown
	Manufacturer: Manufacturer3
	Serial Number: SerNum3
	Asset Tag: AssetTagNum3
	Part Number: PartNum3

Handle 0x0033, DMI type 126, 19 bytes
Inactive

Handle 0x0034, DMI type 127, 4 bytes
End Of Table
Comment 41 Dave Jones 2012-06-21 16:18:56 EDT
*** Bug 834328 has been marked as a duplicate of this bug. ***
Comment 42 Josh Boyer 2012-06-22 08:53:19 EDT
*** Bug 834508 has been marked as a duplicate of this bug. ***
Comment 43 Josh Boyer 2012-06-26 12:03:06 EDT
*** Bug 835590 has been marked as a duplicate of this bug. ***
Comment 44 Josh Boyer 2012-07-03 10:53:00 EDT
*** Bug 836790 has been marked as a duplicate of this bug. ***
Comment 45 Josh Boyer 2012-07-03 11:08:03 EDT
*** Bug 837023 has been marked as a duplicate of this bug. ***
Comment 46 Kjell.Randa@broadpark.no 2012-07-03 16:57:12 EDT
After upgradimg F16 from 3.3.4-3.fc16.x86_64 to kernel-3.4.2-1.fc16.x86_64 I get a similar problem.

  57.696016] ------------[ cut here ]------------
[   57.696225] WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x25f/0x270()
[   57.696430] Hardware name: MS-7345
[   57.696550] NETDEV WATCHDOG: eth0 (r8169): transmit queue 0 timed out
[   57.696678] Modules linked in: ppdev parport_pc lp parport nfs fscache auth_rpcgss nfs_acl lockd be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad f71882fg ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi sunrpc xfs snd_hda_codec_hdmi snd_hda_codec_realtek nvidia(PO) snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd coretemp soundcore snd_page_alloc r8169 mii iTCO_wdt iTCO_vendor_support i2c_i801 i2c_core joydev serio_raw microcode uinput firewire_ohci firewire_core ata_generic pata_acpi raid1 crc_itu_t pata_marvell [last unloaded: scsi_wait_scan]
[   57.699955] Pid: 1655, comm: hadcm3n_um_6.07 Tainted: P           O 3.4.2-1.fc16.x86_64 #1
[   57.700171] Call Trace:
[   57.700291]  <IRQ>  [<ffffffff810579df>] warn_slowpath_common+0x7f/0xc0
[   57.700461]  [<ffffffff81057ad6>] warn_slowpath_fmt+0x46/0x50
[   57.700588]  [<ffffffff81033328>] ? native_smp_send_reschedule+0x48/0x60
[   57.700720]  [<ffffffff810933a4>] ? trigger_load_balance+0x224/0x2d0
[   57.700852]  [<ffffffff8150741f>] dev_watchdog+0x25f/0x270
[   57.700978]  [<ffffffff8106690c>] run_timer_softirq+0x12c/0x3b0
[   57.701123]  [<ffffffff8101b979>] ? sched_clock+0x9/0x10
[   57.701256]  [<ffffffff815071c0>] ? qdisc_reset+0x50/0x50
[   57.701381]  [<ffffffff8105ee78>] __do_softirq+0xb8/0x230
[   57.701506]  [<ffffffff8101b3d9>] ? read_tsc+0x9/0x20
[   57.701629]  [<ffffffff8101b979>] ? sched_clock+0x9/0x10
[   57.701754]  [<ffffffff8108d465>] ? sched_clock_local+0x25/0x90
[   57.701880]  [<ffffffff8160171c>] call_softirq+0x1c/0x30
[   57.702017]  [<ffffffff81016215>] do_softirq+0x65/0xa0
[   57.702144]  [<ffffffff8105f28e>] irq_exit+0x9e/0xc0
[   57.702268]  [<ffffffff8160205e>] smp_apic_timer_interrupt+0x6e/0x99
[   57.702395]  [<ffffffff81600dca>] apic_timer_interrupt+0x6a/0x70
[   57.702522]  <EOI> 
[   57.702564] ---[ end trace 2796a308bfd56be8 ]---
[   57.707166] r8169 0000:04:00.0: eth0: link up
[   63.723176] r8169 0000:04:00.0: eth0: link up
[   87.733164] r8169 0000:04:00.0: eth0: link up
[  165.708159] r8169 0000:04:00.0: eth0: link up
[  255.718141] r8169 0000:04:00.0: eth0: link up
[  333.705144] r8169 0000:04:00.0: eth0: link up

The machine gets very unresponsive and unusable within 30 minutes
Other info:

[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 3.4.2-1.fc16.x86_64 (mockbuild@x86-15.phx2.fedoraproject.org) (gcc version 4.6.3 20120306 (Red Hat 4.6.3-2) (GCC) ) #1 SMP Thu 
Jun 14 20:17:26 UTC 2012
[    0.000000] Command line: BOOT_IMAGE=/vmlinuz-3.4.2-1.fc16.x86_64 root=UUID=098cefb6-f657-414f-ab79-7f13e4356a3b ro rd.dm=0 rd.md.uuid=9f6390c1:53892586:1d1080e5:c718545f SYSFONT=latarcyrheb-sun16 rd.luks=0 rd.md.uuid=d42923d4:2d0f4272:1693b020:fa4892b1 LANG=en_US.UTF-8 KEYTABLE=no rd.lvm.lv=VolGroup00/LogVol00 3

[root@eagle ~]# lspci -vvv -s 04:00.0
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
        Subsystem: Micro-Star International Co., Ltd. Device 345c
        Physical Slot: 0-2
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 44
        Region 0: I/O ports at d800 [size=256]
        Region 2: Memory at feaff000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at feac0000 [disabled] [size=128K]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0-,D1+,D2+,D3hot+,D3cold+)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [48] Vital Product Data
                Unknown small resource type 00, will not decode more.
        Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
                Address: 00000000fee0100c  Data: 4189
        Capabilities: [60] Express (v1) Endpoint, MSI 00
                DevCap: MaxPayload 1024 bytes, PhantFunc 0, Latency L0s <1us, L1 unlimited
                        ExtTag+ AttnBtn+ AttnInd+ PwrInd+ RBE- FLReset-
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
                        MaxPayload 128 bytes, MaxReadReq 4096 bytes
                DevSta: CorrErr- UncorrErr+ FatalErr- UnsuppReq+ AuxPwr+ TransPend-
                LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM L0s, Latency L0 unlimited, L1 unlimited
                        ClockPM- Surprise- LLActRep- BwNot-
                LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
                        ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
        Capabilities: [84] Vendor Specific Information: Len=4c <?>
        Capabilities: [100 v1] Advanced Error Reporting
                UESta:  DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq+ ACSViol-
                UEMsk:  DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
                UESvrt: DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
                CESta:  RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
                CEMsk:  RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr-
                AERCap: First Error Pointer: 14, GenCap- CGenEn- ChkCap- ChkEn-
        Capabilities: [12c v1] Virtual Channel
                Caps:   LPEVC=0 RefClk=100ns PATEntryBits=1
                Arb:    Fixed- WRR32- WRR64- WRR128-
                Ctrl:   ArbSelect=Fixed
                Status: InProgress-
                VC0:    Caps:   PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
                        Arb:    Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
                        Ctrl:   Enable+ ID=0 ArbSelect=Fixed TC/VC=01
                        Status: NegoPending- InProgress-
        Capabilities: [148 v1] Device Serial Number 1a-00-00-00-10-ec-81-68
        Capabilities: [154 v1] Power Budgeting <?>
        Kernel driver in use: r8169
        Kernel modules: r8169
Comment 47 Kjell.Randa@broadpark.no 2012-07-03 17:12:53 EDT
More additional information:

    6.169897] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[    6.170193] r8169 0000:04:00.0: irq 44 for MSI/MSI-X
[    6.170359] r8169 0000:04:00.0: eth0: RTL8168b/8111b at 0xffffc90011084000, 00:19:db:63:65:98, XID 18000000 IRQ 44
[    6.170587] r8169 0000:04:00.0: eth0: jumbo features [frames: 4080 bytes, tx checksumming: ko]

[root@eagle ~]# ethtool -i eth0
driver: r8169
version: 2.3LK-NAPI
firmware-version: 
bus-info: 0000:04:00.0
supports-statistics: yes
supports-test: no
supports-eeprom-access: no
supports-register-dump: yes
Comment 48 Francois Romieu 2012-07-03 18:38:54 EDT
(In reply to comment #47)
[...]

Can you revert http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=036dafa28da1e2565a8529de2ae663c37b7a0060
("r8169: add byte queue limit support") ?

Owners of 8168d or 8168evl may apply http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=eb2dc35d99028b698cdedba4f5522bc43e576bd2
("r8169: RxConfig hack for the 8168evl.") as well.

-- 
Ueimor
Comment 49 Michael J Gruber 2012-07-05 04:06:24 EDT
Boot + logon into KDE desktop 

Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 50 Kjell.Randa@broadpark.no 2012-07-05 15:31:54 EDT
(In reply to comment #48)
[...]

I ususally do not build my own kernels so I will await a solution from Fedora

Kjell
Comment 51 Josh Boyer 2012-07-05 16:01:38 EDT
(In reply to comment #50)
> (In reply to comment #48)
> [...]
> 
> I ususally do not build my own kernels so I will await a solution from Fedora

We can't come up with a solution until someone is willing to test suggestions.  To make that easier, I've done a scratch build with the commit Francois mentioned in comment #48 reverted.

Please install this when the build is complete and let us know if it helps.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4221476
Comment 52 Suren Karapetyan 2012-07-05 17:05:27 EDT
The system with this problem is my work pc. Will test the possible fix ASAP (probably monday).
Will let you know.

Thanks!
Comment 53 Kjell.Randa@broadpark.no 2012-07-08 16:10:44 EDT
Hi,

Thanks a lot for making an updated kernel available.
I have downloaded it and installed.

So far so good, no traceback or link up messages nor in dmesg or /var/log/messages after 30 minutes. The other kernel started to compalin within minutes after reboot.

I will let it run and report back tomorrow.

Kjell
Comment 54 Kjell.Randa@broadpark.no 2012-07-09 14:55:55 EDT
Hi,

The new kernel has now been running without any problem for nearly 24 hours.
I have done som testing by doing an rsync of ~5 GB of data from one NFS filesystem to another in a loop of 100 itrations.

I have run this test a few times during the last hours an no problem have been sean, Each 100 iteration takes about 2 hours and 10 minutes to compleate.

For me this kernel solves the problem

Thanks for your good work !!

Kjell
Comment 55 Dave Jones 2012-07-12 10:28:42 EDT
*** Bug 839427 has been marked as a duplicate of this bug. ***
Comment 56 Dave Jones 2012-07-16 19:50:40 EDT
*** Bug 840680 has been marked as a duplicate of this bug. ***
Comment 57 Josh Boyer 2012-07-17 08:06:23 EDT
*** Bug 840777 has been marked as a duplicate of this bug. ***
Comment 58 Josh Boyer 2012-07-17 10:01:14 EDT
*** Bug 840884 has been marked as a duplicate of this bug. ***
Comment 59 Kjell.Randa@broadpark.no 2012-07-22 12:18:29 EDT
Hi,

Any thoughts when the solution in provided in comment 48 & 51 can make their ways into the official Fedora kernels?

Kjell
Comment 60 Josh Boyer 2012-07-23 09:08:32 EDT
*** Bug 842058 has been marked as a duplicate of this bug. ***
Comment 61 Josh Boyer 2012-07-23 09:16:16 EDT
I don't see the revert in the upstream kernel tree.  Francois, did you fix that in some other way?

The RxConfig hack is in the 3.5 kernel release and we'll be rebasing to that fairly soon.
Comment 62 Josh Boyer 2012-08-02 14:57:52 EDT
*** Bug 845343 has been marked as a duplicate of this bug. ***
Comment 63 Benjamin Bellec 2012-08-05 16:57:13 EDT
I just experienced this bug while playing at Enemy Territory: QUAKE Wars with the r600g driver. After many minutes, massive graphical corruption appears at screen.
The game's log repeats:
radeon: The kernel rejected CS, see dmesg for more information.

And so dmesg:
[   22.512136] r8169 0000:04:00.0: p21p1: link up
[   22.512321] IPv6: ADDRCONF(NETDEV_CHANGE): p21p1: link becomes ready
[ 9844.704016] ------------[ cut here ]------------
[ 9844.704026] WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x250/0x260()
[ 9844.704027] Hardware name: G33M-DS2R
[ 9844.704029] NETDEV WATCHDOG: p21p1 (r8169): transmit queue 0 timed out
[ 9844.704030] Modules linked in: nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack it87 hwmon_vid snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec lpc_ich mfd_core i2c_i801 snd_hwdep snd_pcm snd_page_alloc snd_timer r8169 snd mii coretemp soundcore microcode ata_generic pata_acpi pata_jmicron radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
[ 9844.704054] Pid: 0, comm: swapper/1 Not tainted 3.5.0-2.fc17.x86_64 #1
[ 9844.704055] Call Trace:
[ 9844.704057]  <IRQ>  [<ffffffff8105815f>] warn_slowpath_common+0x7f/0xc0
[ 9844.704064]  [<ffffffff81058256>] warn_slowpath_fmt+0x46/0x50
[ 9844.704068]  [<ffffffff81425e80>] ? usb_hcd_poll_rh_status+0x170/0x170
[ 9844.704071]  [<ffffffff81517c20>] dev_watchdog+0x250/0x260
[ 9844.704073]  [<ffffffff815179d0>] ? dev_deactivate_queue.constprop.30+0x80/0x80
[ 9844.704076]  [<ffffffff810688f1>] run_timer_softirq+0x141/0x340
[ 9844.704078]  [<ffffffff81060b10>] __do_softirq+0xc0/0x1e0
[ 9844.704082]  [<ffffffff8161101c>] call_softirq+0x1c/0x30
[ 9844.704085]  [<ffffffff81015225>] do_softirq+0x75/0xb0
[ 9844.704088]  [<ffffffff81060ee5>] irq_exit+0xb5/0xc0
[ 9844.704090]  [<ffffffff8161195e>] smp_apic_timer_interrupt+0x6e/0x99
[ 9844.704092]  [<ffffffff816106ca>] apic_timer_interrupt+0x6a/0x70
[ 9844.704094]  <EOI>  [<ffffffff8101bb72>] ? mwait_idle+0x92/0x1e0
[ 9844.704098]  [<ffffffff8101c5ae>] cpu_idle+0xfe/0x120
[ 9844.704102]  [<ffffffff815f631e>] start_secondary+0x248/0x24a
[ 9844.704104] ---[ end trace ef2b3bdbcea0d04c ]---
[ 9844.709143] r8169 0000:04:00.0: p21p1: link up

Since I installed F17, abrt has reported 4 times this problem.
My motherboard is a Gigabyte G33M-DS2R with the latest BIOS (F9A). The network chipset is a Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 01).

That said, at boot time, dmesg reports these 4 lines:
[   12.219038] ACPI Warning: 0x0000000000000460-0x000000000000047f SystemIO conflicts with Region \TCOI 1 (20120320/utaddress-251)
[   12.220558] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[   12.223202] ACPI Warning: 0x0000000000000428-0x000000000000042f SystemIO conflicts with Region \GP2C 1 (20120320/utaddress-251)
[   12.224578] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver

I don't remember having these warnings in previous kernel.
Comment 64 Josh Boyer 2012-08-06 11:23:25 EDT
*** Bug 846032 has been marked as a duplicate of this bug. ***
Comment 65 Dave Jones 2012-11-02 16:13:02 EDT
*** Bug 872430 has been marked as a duplicate of this bug. ***
Comment 66 Josh Boyer 2013-01-03 11:36:28 EST
*** Bug 889912 has been marked as a duplicate of this bug. ***
Comment 67 Adam 2013-01-04 08:02:37 EST
abrt_version:   2.0.18
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.6.9-2.fc17.x86_64 root=UUID=ef0506fd-a57d-4f81-aab0-1e5fe3e17156 ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True KEYTABLE=uk rd.luks=0 LANG=en_GB.UTF-8 verbose
kernel:         3.6.9-2.fc17.x86_64
pkg_arch:       x86_64
pkg_epoch:      0
pkg_name:       kernel
pkg_release:    2.fc17
pkg_version:    3.6.9
time:           Tue 18 Dec 2012 15:46:16 GMT

backtrace:
:WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x240/0x250()
:Hardware name: To be filled by O.E.M.
:NETDEV WATCHDOG: em1 (r8169): transmit queue 0 timed out
:Modules linked in: vfat fat usb_storage ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle lockd sunrpc bridge stp llc bnep bluetooth it87 hwmon_vid be2iscsi iscsi_boot_sysfs ip6t_REJECT bnx2i nf_conntrack_ipv6 nf_defrag_ipv6 cnic uio ip6table_filter cxgb4i cxgb4 ip6_tables cxgb3i cxgb3 mdio nf_conntrack_netbios_ns nf_conntrack_broadcast libcxgbi nf_conntrack_ipv4 nf_defrag_ipv4 ib_iser rdma_cm ib_addr iw_cm ib_cm xt_state ib_sa ib_mad nf_conntrack ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device fuse snd_pcm eeepc_wmi asus_wmi sp5100_tco snd_page_alloc sparse_keymap i2c_piix4 snd_timer rfkill r8169 edac_core edac_mce_amd k10temp snd mii soundcore microcode vhost_net tun macvtap macvlan kvm_amd kvm binfmt_misc uinput nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core
:Pid: 0, comm: swapper/3 Not tainted 3.6.9-2.fc17.x86_64 #1
:Call Trace:
: <IRQ>  [<ffffffff8105c8ef>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8105c9e6>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff8152f520>] dev_watchdog+0x240/0x250
: [<ffffffff8152f2e0>] ? dev_deactivate_queue.constprop.30+0x80/0x80
: [<ffffffff8106d44e>] run_timer_softirq+0x14e/0x350
: [<ffffffff810654c0>] __do_softirq+0xd0/0x210
: [<ffffffff8101b933>] ? native_sched_clock+0x13/0x80
: [<ffffffff8162817c>] call_softirq+0x1c/0x30
: [<ffffffff81016205>] do_softirq+0x75/0xb0
: [<ffffffff810658b5>] irq_exit+0xb5/0xc0
: [<ffffffff81628abe>] smp_apic_timer_interrupt+0x6e/0x99
: [<ffffffff81627a8a>] apic_timer_interrupt+0x6a/0x70
: <EOI>  [<ffffffff81042fd6>] ? native_safe_halt+0x6/0x10
: [<ffffffff8101c84f>] default_idle+0x4f/0x1a0
: [<ffffffff8101d57e>] cpu_idle+0xfe/0x120
: [<ffffffff8160dbb4>] start_secondary+0x23e/0x240

comment:
:It seems to happen more frequently when I am using a lot of network applications. Typically, I'd be piping X over an SSH connection and watching BBC iPlayer/YouTube, etc. or using the Steam Linux beta.
:
: <IRQ>  [<ffffffff8105c8ef>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8105c9e6>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff8152f520>] dev_watchdog+0x240/0x250
: [<ffffffff8152f2e0>] ? dev_deactivate_queue.constprop.30+0x80/0x80
: [<ffffffff8106d44e>] run_timer_softirq+0x14e/0x350
: [<ffffffff810654c0>] __do_softirq+0xd0/0x210
: [<ffffffff8101b933>] ? native_sched_clock+0x13/0x80
: [<ffffffff8162817c>] call_softirq+0x1c/0x30
: [<ffffffff81016205>] do_softirq+0x75/0xb0
: [<ffffffff810658b5>] irq_exit+0xb5/0xc0
: [<ffffffff81628abe>] smp_apic_timer_interrupt+0x6e/0x99
: [<ffffffff81627a8a>] apic_timer_interrupt+0x6a/0x70
: <EOI>  [<ffffffff81042fd6>] ? native_safe_halt+0x6/0x10
: [<ffffffff8101c84f>] default_idle+0x4f/0x1a0
: [<ffffffff8101d57e>] cpu_idle+0xfe/0x120
: [<ffffffff8160dbb4>] start_secondary+0x23e/0x240

smolt_data:
:
:
:General
:=================================
:UUID: 02a9261c-a79e-44d3-9a33-c7b3223dddb0
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_GB.UTF-8
:Platform: x86_64
:BogoMIPS: 6822.66
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X4 965 Processor
:CPU Stepping: 3
:CPU Family: 16
:CPU Model Num: 4
:Number of CPUs: 4
:CPU Speed: 3410
:System Memory: 7843
:System Swap: 0
:Vendor: To be filled by O.E.M.
:System: To be filled by O.E.M. To be filled by O.E.M.
:Form factor: Desktop
:Kernel: 3.6.10-2.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33128:4163:34053) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4098:17299:4163:34015) pci, ahci, RAID, SB7x0/SB8x0/SB9x0 SATA Controller [RAID5 mode]
:(4098:23069:4098:23060) pci, pcieport, PCI/PCI, RD890 PCI to PCI bridge (external gfx1 port A)
:(4318:3051:0:0) pci, snd_hda_intel, MULTIMEDIA, GF104 High Definition Audio Controller
:(6945:1554:4163:33975) pci, ahci, STORAGE, N/A
:(4098:23075:4098:23075) pci, None, BASE, N/A
:(4098:23060:4098:23060) pci, None, HOST/PCI, RD890 PCI to PCI bridge (external gfx0 port B)
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4098:17302:4098:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4098:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(6945:1554:4163:33975) pci, ahci, STORAGE, N/A
:(4098:17312:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 0)
:(4098:17313:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 1)
:(4098:17314:4098:0) pci, pcieport, PCI/PCI, N/A
:(4098:17315:4098:0) pci, pcieport, PCI/PCI, N/A
:(4098:23062:4098:23060) pci, pcieport, PCI/PCI, RD890 PCI to PCI bridge (PCI express gpp port B)
:(4098:17285:4098:17285) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:4098:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4163:33846) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:4098:17305) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4098:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4318:3618:0:0) pci, nvidia, VIDEO, GF104 [GeForce GTX 460]
:(4098:17303:4098:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4098:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4098:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:23070:4098:23060) pci, pcieport, PCI/PCI, RD890 PCI to PCI bridge (external gfx1 port B)
:(4098:23068:4098:23060) pci, pcieport, PCI/PCI, RD890 PCI to PCI bridge (PCI express gpp port H)
:(4098:23064:4098:23060) pci, pcieport, PCI/PCI, RD890 PCI to PCI bridge (PCI express gpp port D)
:(4098:23071:4098:23060) pci, pcieport, PCI/PCI, RD890 PCI to PCI bridge (NB-SB link)
:(4098:23065:4098:23060) pci, pcieport, PCI/PCI, RD890 PCI to PCI bridge (PCI express gpp port E)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sdb4 / ext4 4096 4096 25041014 12336058 11064033 6365184 5776263 5776263
:/dev/sdd1 WITHHELD fuseblk 4096 4096 60790527 55572757 55572757 222389332 222345720 222345720
:/dev/mapper/pdc_baiahajdep1 WITHHELD fuseblk 4096 4096 121581567 22091158 22091158 89151064 88458271 88458271
:/dev/sde1 WITHHELD fuseblk 4096 4096 244190207 38546097 38546097 155560644 154923216 154923216
:/dev/sdb2 WITHHELD fuseblk 4096 4096 193538303 13234426 13234426 53298152 53279316 53279316
:/dev/sdb3 WITHHELD fuseblk 4096 4096 25146367 3430526 3430526 14148088 13837318 13837318
:/dev/sr0 WITHHELD udf 2048 2048 3996817 0 0 29 0 0
:

suspend_stats:
:success: 0
:fail: 0
:failed_freeze: 0
:failed_prepare: 0
:failed_suspend: 0
:failed_suspend_late: 0
:failed_suspend_noirq: 0
:failed_resume: 0
:failed_resume_early: 0
:failed_resume_noirq: 0
:failures:
:  last_failed_dev:	
:			
:  last_failed_errno:	0
:			0
:  last_failed_step:	
:			

END:

Note that this was printed using the abrt logger function because reporting would result in an error, so I pasted it into here. Something to do with missing essential info.
Comment 68 Adam 2013-01-04 08:10:09 EST
(In reply to comment #67)

Apologies; I seem to have pasted the backtrace twice and I can't edit my post for some reason. :(

Like others have said, the computer requires a reboot for the network to function again. Also, because I start in multi-user mode and I use `startx` to load X, after this crash I have to run the command `rm .Xauthority*` in order for X to load again. Otherwise, nothing happens and the console is filled with messages about timeouts, although I'm afraid I can't remember exactly what the messages say.
Comment 69 Fedora End Of Life 2013-04-03 15:28:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 70 Justin M. Forbes 2013-04-05 12:18:52 EDT
Is this still a problem with 3.9 based F19 kernels?
Comment 71 Suren Karapetyan 2013-04-10 15:57:59 EDT
Haven't seen it for very long time. Anybody else?
Comment 72 Josh Boyer 2013-06-03 14:59:13 EDT
*** Bug 951672 has been marked as a duplicate of this bug. ***
Comment 73 Bill Davidsen 2013-09-01 20:04:29 EDT
Description of problem:
I had a problem on another system on this network about 30 minutes earlier, which generated a report but left the system (VM host) up and functioning. No idea if they are related, had just updated to the most recent kernel in updates a day or so ago. Back on 3.8.13-100 now, I did have issues with an earlier 3.9 kernel.

Version-Release number of selected component:
kernel

Additional info:
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.10-100.fc17.x86_64 root=/dev/mapper/vg_pixels-lv_root ro rd.lvm.lv=vg_pixels/lv_swap rd.md.uuid=52bc58c7:10a35545:cb080531:80a0cad3 rd.dm=0 rd.lvm.lv=vg_pixels/lv_root KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
kernel:         3.9.10-100.fc17.x86_64
runlevel:       N 5
type:           Kerneloops
ureports_counter: 1

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x240/0x250()
Hardware name: MS-7750
NETDEV WATCHDOG: p17p1 (r8169): transmit queue 0 timed out
Modules linked in: fuse ebtable_nat ebtables nfsv4 nfs dns_resolver fscache ipt_MASQUERADE iptable_nat nf_nat_ipv4 nf_nat xt_CHECKSUM iptable_mangle be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser bridge stp llc rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT libiscsi_tcp nf_conntrack_ipv6 nf_defrag_ipv6 libiscsi scsi_transport_iscsi xt_state nf_conntrack ip6table_filter ip6_tables raid456 async_raid6_recov async_memcpy async_pq raid6_pq async_xor xor async_tx raid10 vhost_net tun macvtap macvlan acpi_cpufreq mperf coretemp kvm_intel kvm snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm iTCO_wdt iTCO_vendor_support shpchp lpc_ich mfd_core ppdev snd_page_alloc snd_timer snd soundcore r8169 i2c_i801 mii microcode mei parport_pc parport nfsd auth_rpcgss nfs_acl lockd sunrpc uinput raid1 ata_generic pata_acpi crc32_pclmul crc32c_intel 
ghash_clmulni_intel usb_storage pata_jmicron i915 video i2c_algo_bit drm_kms_helper drm i2c_core
Pid: 0, comm: swapper/0 Not tainted 3.9.10-100.fc17.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff8105efd5>] warn_slowpath_common+0x75/0xa0
 [<ffffffff8105f0b6>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff8156d2b0>] dev_watchdog+0x240/0x250
 [<ffffffff8156d070>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106da8a>] call_timer_fn+0x3a/0x110
 [<ffffffff8156d070>] ? dev_deactivate_queue.constprop.30+0x80/0x80
 [<ffffffff8106f806>] run_timer_softirq+0x1f6/0x2a0
 [<ffffffff81067688>] __do_softirq+0xe8/0x230
 [<ffffffff81067955>] irq_exit+0xa5/0xb0
 [<ffffffff81665e0e>] smp_apic_timer_interrupt+0x6e/0x99
 [<ffffffff81664cdd>] apic_timer_interrupt+0x6d/0x80
 <EOI>  [<ffffffff815025b0>] ? cpuidle_idle_call+0xb0/0x1d0
 [<ffffffff815025a5>] ? cpuidle_idle_call+0xa5/0x1d0
 [<ffffffff8101d11f>] cpu_idle+0xaf/0x120
 [<ffffffff81640842>] rest_init+0x72/0x80
 [<ffffffff81d02ed8>] start_kernel+0x3f2/0x3ff
 [<ffffffff81d028e5>] ? repair_env_string+0x5e/0x5e
 [<ffffffff81d025de>] x86_64_start_reservations+0x2a/0x2c
 [<ffffffff81d026d1>] x86_64_start_kernel+0xf1/0x100
Comment 74 Francois Romieu 2013-11-08 16:48:18 EST
(In reply to Bill Davidsen from comment #73)
> Description of problem:
> I had a problem on another system on this network about 30 minutes earlier,
> which generated a report but left the system (VM host) up and functioning.

If the network layer recovers and the netdev watchdog only happens once in
a while, I'd suggest to ignore it. If it always happens on special
circumstances, say boot, shortly thereafter, whatever, or it triggers too
frequently, it's a different matter.

> No idea if they are related, had just updated to the most recent kernel in
> updates a day or so ago. Back on 3.8.13-100 now, I did have issues with an
> earlier 3.9 kernel.
[...]
> Additional info:
> cmdline:        BOOT_IMAGE=/vmlinuz-3.9.10-100.fc17.x86_64
> root=/dev/mapper/vg_pixels-lv_root ro rd.lvm.lv=vg_pixels/lv_swap
> rd.md.uuid=52bc58c7:10a35545:cb080531:80a0cad3 rd.dm=0
> rd.lvm.lv=vg_pixels/lv_root KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb
> rd.luks=0 LANG=en_US.UTF-8
> kernel:         3.9.10-100.fc17.x86_64
[...]
> Truncated backtrace:
> WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x240/0x250()
> Hardware name: MS-7750

The MS-7750 seems to include a 8168e but I would welcome the XID line from
dmesg to check it.

The diff between v3.8.13 and v3.9.10 for the kernel r8169 driver is rather
simple. It could help to know if the problem sticks to the driver or if it
sticks to the kernel. Just ask if extracting the relevant stuff from a kernel
git stable repository bores you and you need a simple out-of-tree r8169.c
kit.

Did you enable Tx checksum ?

-- 
Ueimor
Comment 75 jab 2013-12-04 17:46:40 EST
Description of problem:
i really dont know how this happend. just show me this report
thank you

Version-Release number of selected component:
kernel

Additional info:
cmdline:        BOOT_IMAGE=/vmlinuz-3.8.13-100.fc17.i686 root=/dev/mapper/vg-lv_root ro rd.md=0 rd.dm=0 SYSFONT=True rd.lvm.lv=vg/lv_root rd.luks=0 KEYTABLE=us-acentos rd.lvm.lv=vg/lv_swap LANG=en_US.UTF-8 rhgb quiet
kernel:         3.8.13-100.fc17.i686
runlevel:       unknown
type:           Kerneloops
ureports_counter: 1

Truncated backtrace:
WARNING: at net/sched/sch_generic.c:254 dev_watchdog+0x1d7/0x1e0()
Hardware name: 252223U
NETDEV WATCHDOG: em1 (e1000e): transmit queue 0 timed out
Modules linked in: usblp vfat fat usb_storage fuse rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep btusb iTCO_wdt iTCO_vendor_support i2c_i801 snd_seq snd_seq_device coretemp snd_pcm arc4 lpc_ich kvm_intel iwldvm thinkpad_acpi mac80211 bluetooth snd_page_alloc e1000e kvm intel_ips of_i2c snd_timer snd iwlwifi soundcore cfg80211 rfkill mei microcode binfmt_misc uinput crc32c_intel firewire_ohci firewire_core crc_itu_t sdhci_pci sdhci mmc_core nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core
Pid: 0, comm: swapper/1 Not tainted 3.8.13-100.fc17.i686 #1
Call Trace:
 [<c043e929>] warn_slowpath_common+0x69/0x90
 [<c08a7d57>] ? dev_watchdog+0x1d7/0x1e0
 [<c08a7d57>] ? dev_watchdog+0x1d7/0x1e0
 [<c043e9f3>] warn_slowpath_fmt+0x33/0x40
 [<c08a7d57>] dev_watchdog+0x1d7/0x1e0
 [<c044bded>] call_timer_fn+0x2d/0xe0
 [<c04468c0>] ? local_bh_enable_ip+0x90/0x90
 [<c08a7b80>] ? dev_deactivate_queue.constprop.32+0x60/0x60
 [<c044d866>] run_timer_softirq+0x176/0x210
 [<c04c81f2>] ? rcu_process_callbacks+0x82/0x4b0
 [<c08a7b80>] ? dev_deactivate_queue.constprop.32+0x60/0x60
 [<c044696b>] __do_softirq+0xab/0x1c0
 [<c04468c0>] ? local_bh_enable_ip+0x90/0x90
 <IRQ>  [<c0446bed>] ? irq_exit+0x9d/0xb0
 [<c042592e>] ? smp_apic_timer_interrupt+0x5e/0x90
 [<c097ab10>] ? apic_timer_interrupt+0x34/0x3c
 [<c048007b>] ? print_cfs_rq+0x78b/0x1ab0
 [<c084d89d>] ? cpuidle_wrap_enter+0x3d/0x90
 [<c084d902>] ? cpuidle_enter_tk+0x12/0x20
 [<c084cfe0>] ? cpufreq_p4_target+0x110/0x110
 [<c084d4d1>] ? cpuidle_enter_state+0x11/0x50
 [<c084d59b>] ? cpuidle_idle_call+0x8b/0x200
 [<c040adea>] ? cpu_idle+0xaa/0xe0
 [<c096b99f>] ? start_secondary+0x262/0x267
Comment 76 Adri Verhoef 2014-02-03 10:53:46 EST
I have two computers here, one for my partner and one for me.
Once each month both computers do a full backup (automatically using cron) to the other computer and each time when the full backup starts running, the computer doing the backup process becomes unresponsive after a speed drop of the network card to 4 MB/s or 2 MB/s on either side.
After a reboot, the speed of the network card during a full backup can be as high as 256 MB/s.  (I think that's what the "Network Monitor" tells me when it indicates a traffic of nearly 64 MiB in 0.25s.)

Yesterday, my computer became unresponsive again after the full backup started with a network speed of 2 MB/s on my side.  The backup started at 23:16 and soon there it was:

Feb  2 23:17:32 b kernel: [257214.355153] ------------[ cut here ]------------
Feb  2 23:17:32 b kernel: [257214.355161] WARNING: CPU: 0 PID: 21911 at net/sched/sch_generic.c:264 dev_watchdog+0x266/0x270()
Feb  2 23:17:32 b kernel: [257214.355163] NETDEV WATCHDOG: enp7s0 (r8169): transmit queue 0 timed out
Feb  2 23:17:32 b kernel: [257214.355163] Modules linked in: vfat fat udp_diag tcp_diag inet_diag fuse rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache cfg80211 ip6t_REJECT ip6t_ipv6header nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter xt_conntrack nf_conntrack ip6_tables snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd soundcore mei_me x86_pkg_temp_thermal eeepc_wmi ppdev coretemp asus_wmi i2c_i801 iTCO_wdt kvm iTCO_vendor_support sparse_keymap rfkill crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel mei r8169 parport_pc parport lpc_ich microcode serio_raw mii mfd_core shpchp wmi nfsd binfmt_misc auth_rpcgss nfs_acl lockd sunrpc i915 i2c_algo_bit drm_kms_helper pata_via drm ata_generic pata_acpi usb_storage i2c_core video
Feb  2 23:17:32 b kernel: [257214.355197] CPU: 0 PID: 21911 Comm: wcgrid_fahv_vin Not tainted 3.12.8-300.fc20.x86_64 #1
Feb  2 23:17:32 b kernel: [257214.355198] Hardware name: System manufacturer System Product Name/P8H67-M PRO, BIOS 1104 09/26/2011
Feb  2 23:17:32 b kernel: [257214.355199]  0000000000000009 ffff88013fa03d70 ffffffff81667a8b ffff88013fa03db8
Feb  2 23:17:32 b kernel: [257214.355202]  ffff88013fa03da8 ffffffff8106921d 0000000000000000 ffff8800b38fc000
Feb  2 23:17:32 b kernel: [257214.355204]  0000000000000001 0000000000000000 ffff8800b38fc000 ffff88013fa03e08
Feb  2 23:17:32 b kernel: [257214.355205] Call Trace:
Feb  2 23:17:32 b kernel: [257214.355206]  <IRQ>  [<ffffffff81667a8b>] dump_stack+0x45/0x56
Feb  2 23:17:32 b kernel: [257214.355214]  [<ffffffff8106921d>] warn_slowpath_common+0x7d/0xa0
Feb  2 23:17:32 b kernel: [257214.355215]  [<ffffffff8106928c>] warn_slowpath_fmt+0x4c/0x50
Feb  2 23:17:32 b kernel: [257214.355218]  [<ffffffff8109dcd5>] ? sched_clock_cpu+0xb5/0x100
Feb  2 23:17:32 b kernel: [257214.355221]  [<ffffffff8158ac16>] dev_watchdog+0x266/0x270
Feb  2 23:17:32 b kernel: [257214.355223]  [<ffffffff8158a9b0>] ? dev_graft_qdisc+0x80/0x80
Feb  2 23:17:32 b kernel: [257214.355225]  [<ffffffff81074e66>] call_timer_fn+0x36/0x110
Feb  2 23:17:32 b kernel: [257214.355227]  [<ffffffff8158a9b0>] ? dev_graft_qdisc+0x80/0x80
Feb  2 23:17:32 b kernel: [257214.355229]  [<ffffffff810754fa>] run_timer_softirq+0x1ea/0x290
Feb  2 23:17:32 b kernel: [257214.355231]  [<ffffffff8106e787>] __do_softirq+0xf7/0x240
Feb  2 23:17:32 b kernel: [257214.355234]  [<ffffffff8167831c>] call_softirq+0x1c/0x30
Feb  2 23:17:32 b kernel: [257214.355237]  [<ffffffff810146a5>] do_softirq+0x55/0x90
Feb  2 23:17:32 b kernel: [257214.355238]  [<ffffffff8106ea65>] irq_exit+0xb5/0xc0
Feb  2 23:17:32 b kernel: [257214.355240]  [<ffffffff81678cc5>] smp_apic_timer_interrupt+0x45/0x60
Feb  2 23:17:32 b kernel: [257214.355242]  [<ffffffff8167765d>] apic_timer_interrupt+0x6d/0x80
Feb  2 23:17:32 b kernel: [257214.355242]  <EOI> 
Feb  2 23:17:32 b kernel: [257214.355243] ---[ end trace 5661aed802610f68 ]---
Feb  2 23:17:32 b kernel: [257214.360396] r8169 0000:07:00.0 enp7s0: link up
Feb  2 23:18:38 b kernel: [257280.326674] r8169 0000:07:00.0 enp7s0: link up
Feb  2 23:20:50 b kernel: [257412.259209] r8169 0000:07:00.0 enp7s0: link up
Feb  2 23:21:59 b kernel: [257481.276652] r8169 0000:07:00.0 enp7s0: link down
Feb  2 23:21:59 b NetworkManager[666]: <info> (enp7s0): link disconnected (deferring action for 4 seconds)
Feb  2 23:22:01 b kernel: [257483.175653] r8169 0000:07:00.0 enp7s0: link up
Feb  2 23:22:01 b NetworkManager[666]: <info> (enp7s0): link connected

|(enp7s0 is the interface to the other computer.)
|At 23:54 I restarted the NetworkManager.

Feb  3 01:18:19 b kernel: [264457.556076] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:19:37 b kernel: [264535.516032] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:20:07 b kernel: [264565.500240] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:20:37 b kernel: [264595.484453] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:21:01 b kernel: [264619.470824] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:21:19 b kernel: [264637.461351] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:21:31 b kernel: [264649.455036] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:21:49 b kernel: [264667.446565] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:22:43 b kernel: [264721.420155] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:23:13 b kernel: [264751.403371] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:30:07 b kernel: [265165.184528] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:33:43 b kernel: [265381.069858] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:34:49 b kernel: [265447.036130] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:35:55 b kernel: [265512.999405] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:36:37 b kernel: [265554.977318] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:37:01 b kernel: [265578.964712] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:37:25 b kernel: [265602.952073] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:38:25 b kernel: [265662.920471] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:40:07 b kernel: [265764.866831] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:41:19 b kernel: [265836.828907] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:42:13 b kernel: [265890.800500] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:43:25 b kernel: [265962.762605] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:48:19 b kernel: [266256.607900] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:49:25 b kernel: [266322.573171] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:51:19 b kernel: [266436.513191] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:53:25 b kernel: [266562.446896] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:55:01 b kernel: [266658.396382] r8169 0000:07:00.0 enp7s0: link up
Feb  3 01:56:13 b kernel: [266730.358500] r8169 0000:07:00.0 enp7s0: link up

|At 02:01 I restarted the NetworkManager.

Feb  3 02:02:24 b kernel: [267100.622350] nfs: server a not responding, timed out
Feb  3 02:03:13 b systemd: Stopping Berkeley Open Infrastructure Network Computing Client...
Feb  3 02:03:13 b systemd: Starting Berkeley Open Infrastructure Network Computing Client...
Feb  3 02:03:14 b systemd: Started Berkeley Open Infrastructure Network Computing Client.
Feb  3 02:03:44 b systemd: boinc-client.service: main process exited, code=exited, status=76/n/a

|At 02:04 I restarted the NFS server.

Feb  3 02:04:00 b kernel: [267197.056642] nfsd: last server has exited, flushing export cache
Feb  3 02:04:00 b systemd: Stopping NFS Remote Quota Server...
Feb  3 02:04:00 b kernel: [267197.159120] NFSD: starting 90-second grace period (net ffffffff81cc6080)
Feb  3 02:04:00 b systemd: Stopping NFS Mount Daemon...
Feb  3 02:04:00 b systemd: Stopping NFSv4 ID-name mapping daemon...
Feb  3 02:04:00 b systemd: Stopping NFS Server...
Feb  3 02:04:00 b systemd: Starting NFS Server...
Feb  3 02:04:00 b systemd: Started NFS Server.
Feb  3 02:04:00 b systemd: Starting NFS Mount Daemon...
Feb  3 02:04:00 b systemd: Starting NFS Remote Quota Server...
Feb  3 02:04:00 b systemd: Starting NFSv4 ID-name mapping daemon...
Feb  3 02:04:00 b systemd: Started NFS Remote Quota Server.
Feb  3 02:04:00 b systemd: Started NFSv4 ID-name mapping daemon.
Feb  3 02:04:00 b systemd: Started NFS Mount Daemon.
Feb  3 02:04:00 b rpc.mountd[832]: Caught signal 15, un-registering and exiting.
Feb  3 02:04:00 b rpc.mountd[23405]: Version 1.2.9 starting
Feb  3 02:05:14 b systemd: boinc-client.service stopping timed out. Killing.
Feb  3 02:05:14 b systemd: Unit boinc-client.service entered failed state.
Feb  3 02:06:58 b kernel: [267375.013078] nfs: server a OK
Feb  3 02:07:37 b kernel: [267413.998585] r8169 0000:07:00.0 enp7s0: link up
Feb  3 02:08:31 b kernel: [267467.970173] r8169 0000:07:00.0 enp7s0: link up

|At 02:09:36 I restarted the NetworkManager.

Feb  3 02:09:36 b systemd: Stopping Network Manager...
Feb  3 02:09:36 b systemd: Starting Network Manager...

|At 02:09:47 I restarted the NetworkManager again.

Feb  3 02:09:47 b systemd: Stopping Network Manager...
Feb  3 02:09:47 b NetworkManager[23425]: <info> caught signal 15, shutting down normally.
Feb  3 02:09:47 b NetworkManager[23425]: <info> exiting (success)
Feb  3 02:09:47 b systemd: Starting Network Manager...

|All this time I didn't look at /var/log/messages, and so it appears that
|at this time there was an error:

Feb  3 02:09:47 b NetworkManager[23566]: <info> NetworkManager (version 0.9.9.0-27.git20131003.fc20) is starting...
Feb  3 02:09:47 b NetworkManager[23566]: <info> Read config: /etc/NetworkManager/NetworkManager.conf
Feb  3 02:09:47 b NetworkManager[23566]: <info> WEXT support is enabled
Feb  3 02:09:47 b NetworkManager[23566]: <info> VPN: loaded org.freedesktop.NetworkManager.openvpn
Feb  3 02:09:47 b NetworkManager[23566]: <info> VPN: loaded org.freedesktop.NetworkManager.vpnc
Feb  3 02:09:47 b NetworkManager[23566]: <info> VPN: loaded org.freedesktop.NetworkManager.pptp
Feb  3 02:09:47 b NetworkManager[23566]: ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
Feb  3 02:09:47 b NetworkManager[23566]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Feb  3 02:09:47 b NetworkManager[23566]: <info> Loaded plugin keyfile: (c) 2007 - 2010 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Feb  3 02:09:47 b NetworkManager[23566]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth0 ...
Feb  3 02:09:47 b NetworkManager[23566]: ifcfg-rh:     read connection 'eth1'
Feb  3 02:09:47 b NetworkManager[23566]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-enp7s0 ...
Feb  3 02:09:47 b NetworkManager[23566]: ifcfg-rh:     read connection 'enp7s0'
Feb  3 02:09:47 b NetworkManager[23566]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ...
Feb  3 02:09:47 b NetworkManager[23566]: <info> monitoring kernel firmware directory '/lib/firmware'.
Feb  3 02:09:47 b NetworkManager[23566]: <info> WiFi hardware radio set enabled
Feb  3 02:09:47 b NetworkManager[23566]: <info> WiFi enabled by radio killswitch; enabled by state file
Feb  3 02:09:47 b NetworkManager[23566]: <info> WWAN enabled by radio killswitch; disabled by state file
Feb  3 02:09:47 b NetworkManager[23566]: <info> WiMAX enabled by radio killswitch; enabled by state file
Feb  3 02:09:47 b NetworkManager[23566]: <info> Networking is enabled by state file
Feb  3 02:09:47 b NetworkManager[23566]: <info> (lo): link connected
Feb  3 02:09:47 b NetworkManager[23566]: <info> (lo): carrier is ON
Feb  3 02:09:47 b NetworkManager[23566]: <error> [1391389787.228346] [platform/nm-linux-platform.c:1338] sysctl_get(): error reading /sys/class/net/lo/phys_port_id: Failed to read from file '/sys/class/net/lo/phys_port_id': Operation not supported
Feb  3 02:09:47 b NetworkManager[23566]: <info> (lo): new Generic device (driver: 'unknown' ifindex: 1)
Feb  3 02:09:47 b NetworkManager[23566]: <info> (lo): exported as /org/freedesktop/NetworkManager/Devices/0
Feb  3 02:09:47 b NetworkManager[23566]: <info> (lo): No existing connection detected.
Feb  3 02:09:47 b NetworkManager[23566]: <info> (eth0): link connected
Feb  3 02:09:47 b NetworkManager[23566]: <info> (eth0): carrier is ON
Feb  3 02:09:47 b NetworkManager[23566]: <error> [1391389787.253283] [platform/nm-linux-platform.c:1338] sysctl_get(): error reading /sys/class/net/eth0/phys_port_id: Failed to read from file '/sys/class/net/eth0/phys_port_id': Operation not supported
Feb  3 02:09:47 b NetworkManager[23566]: <info> (eth0): new Ethernet device (driver: 'r8169' ifindex: 2)
Feb  3 02:09:47 b NetworkManager[23566]: <info> (eth0): exported as /org/freedesktop/NetworkManager/Devices/1
Feb  3 02:09:47 b NetworkManager[23566]: <info> (eth0): Generating connection from current device status.
Feb  3 02:09:47 b NetworkManager[23566]: <info> (eth0): Using generated connection: 'eth0'
Feb  3 02:09:47 b NetworkManager[23566]: <info> (eth0): device state change: unmanaged -> unavailable (reason 'connection-assumed') [10 20 41]
Feb  3 02:09:47 b NetworkManager[23566]: <info> (enp7s0): link connected
Feb  3 02:09:47 b NetworkManager[23566]: <info> (enp7s0): carrier is ON
Feb  3 02:09:47 b NetworkManager[23566]: <error> [1391389787.254842] [platform/nm-linux-platform.c:1338] sysctl_get(): error reading /sys/class/net/enp7s0/phys_port_id: Failed to read from file '/sys/class/net/enp7s0/phys_port_id': Operation not supported
Feb  3 02:09:47 b NetworkManager[23566]: <info> (enp7s0): new Ethernet device (driver: 'r8169' ifindex: 3)
Feb  3 02:09:47 b NetworkManager[23566]: <info> (enp7s0): exported as /org/freedesktop/NetworkManager/Devices/2
Feb  3 02:09:47 b NetworkManager[23566]: <info> (enp7s0): Generating connection from current device status.
Feb  3 02:09:47 b NetworkManager[23566]: <info> (enp7s0): Using generated connection: 'enp7s0'
Feb  3 02:09:47 b NetworkManager[23566]: <info> (enp7s0): device state change: unmanaged -> unavailable (reason 'connection-assumed') [10 20 41]

|At 02:09:55 I restarted the NetworkManager again and went to bed.

Feb  3 08:38:50 b kernel: [290874.350431] nfs: server a not responding, timed out
Feb  3 08:42:26 b kernel: [291090.812517] nfs: server a not responding, timed out
Feb  3 08:55:08 b kernel: [291851.756077] nfs: server a not responding, timed out
Feb  3 08:58:44 b kernel: [292068.218168] nfs: server a not responding, timed out
Feb  3 09:02:21 b kernel: [292284.680262] nfs: server a not responding, timed out
Feb  3 09:05:58 b kernel: [292501.142346] nfs: server a not responding, timed out
Feb  3 09:09:34 b kernel: [292717.604433] nfs: server a not responding, timed out
Feb  3 09:13:11 b kernel: [292934.066479] nfs: server a not responding, timed out
Feb  3 09:16:47 b kernel: [293150.528613] nfs: server a not responding, timed out
Feb  3 09:20:24 b kernel: [293366.990698] nfs: server a not responding, timed out
Feb  3 09:24:00 b kernel: [293583.452791] nfs: server a not responding, timed out
Feb  3 09:27:37 b kernel: [293799.914876] nfs: server a not responding, timed out
Feb  3 09:31:14 b kernel: [294016.376972] nfs: server a not responding, timed out
Feb  3 09:34:50 b kernel: [294232.839031] nfs: server a not responding, timed out
Feb  3 09:38:27 b kernel: [294449.301144] nfs: server a not responding, timed out
Feb  3 09:42:03 b kernel: [294665.763226] nfs: server a not responding, timed out
Feb  3 09:45:40 b kernel: [294882.225304] nfs: server a not responding, timed out
Feb  3 09:49:16 b kernel: [295098.687409] nfs: server a not responding, timed out
Feb  3 09:52:53 b kernel: [295315.149496] nfs: server a not responding, timed out
Feb  3 09:56:30 b kernel: [295531.611587] nfs: server a not responding, timed out
Feb  3 10:00:06 b kernel: [295748.073650] nfs: server a not responding, timed out
Feb  3 10:03:43 b kernel: [295964.535766] nfs: server a not responding, timed out
Feb  3 10:07:19 b kernel: [296180.997851] nfs: server a not responding, timed out
Feb  3 10:10:56 b kernel: [296397.459943] nfs: server a not responding, timed out
Feb  3 10:14:32 b kernel: [296613.922037] nfs: server a not responding, timed out
Feb  3 10:18:09 b kernel: [296830.384120] nfs: server a not responding, timed out
Feb  3 10:21:46 b kernel: [297046.846208] nfs: server a not responding, timed out
Feb  3 10:25:22 b kernel: [297263.308301] nfs: server a not responding, timed out
Feb  3 10:28:59 b kernel: [297479.770389] nfs: server a not responding, timed out
Feb  3 10:32:35 b kernel: [297696.232460] nfs: server a not responding, timed out
Feb  3 10:36:12 b kernel: [297912.694564] nfs: server a not responding, timed out
Feb  3 10:39:48 b kernel: [298129.156653] nfs: server a not responding, timed out
Feb  3 10:43:25 b kernel: [298345.618748] nfs: server a not responding, timed out
Feb  3 10:47:02 b kernel: [298562.080829] nfs: server a not responding, timed out
Feb  3 10:50:38 b kernel: [298778.542919] nfs: server a not responding, timed out
Feb  3 11:03:33 b kernel: [299552.791481] nfs: server a not responding, timed out
Feb  3 11:16:14 b kernel: [300313.735039] nfs: server a not responding, timed out
Feb  3 11:31:17 b kernel: [301216.428007] nfs: server a not responding, timed out

|Out of bed at 11:35.  System seems to be frozen.  Almost no network activity,
|according to pattern of flashing lights on network cards.  No reaction to
|mouse or keyboard.

A few minutes later, I rebooted the computer and saw that the full backup was
still underway at 02:32 and had failed to continue there.

After updating the kernel from kernel-3.12.8-300.fc20.x86_64 to
kernel-3.12.9-301.fc20.x86_64 and rebooting, I found this in
/var/log/messages:
Feb  3 14:42:10 b kernel: [    3.760316] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
Feb  3 14:42:10 b kernel: [    3.760652] r8169 0000:05:00.0 eth0: RTL8168e/8111e at 0xffffc9000479c000, 54:04:a6:a1:b5:24, XID 0c200000 IRQ 55
Feb  3 14:42:10 b kernel: [    3.760654] r8169 0000:05:00.0 eth0: jumbo features [frames: 9200 bytes, tx checksumming: ko]
Feb  3 14:42:10 b kernel: [    3.760671] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
Feb  3 14:42:10 b kernel: [    3.760815] r8169 0000:07:00.0 (unregistered net_device): not PCI Express
Feb  3 14:42:10 b kernel: [    3.761063] r8169 0000:07:00.0 eth1: RTL8169sb/8110sb at 0xffffc9000479e000, 00:e0:53:02:f0:af, XID 10000000 IRQ 19
Feb  3 14:42:10 b kernel: [    3.761064] r8169 0000:07:00.0 eth1: jumbo features [frames: 7152 bytes, tx checksumming: ok]
Feb  3 14:42:10 b kernel: [    3.762295] WARNING! power/level is deprecated; use power/control instead
Feb  3 14:42:10 b kernel: [    3.764717] ACPI Warning: 0x0000000000000540-0x000000000000054f SystemIO conflicts with Region \_SB_.PCI0.SBRG.GPBX 1 (20130725/utaddress-251)
Feb  3 14:42:10 b kernel: [    3.764722] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
Feb  3 14:42:10 b kernel: [    3.764723] ACPI Warning: 0x0000000000000530-0x000000000000053f SystemIO conflicts with Region \_SB_.PCI0.SBRG.GPBX 1 (20130725/utaddress-251)
Feb  3 14:42:10 b kernel: [    3.764725] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
Feb  3 14:42:10 b kernel: [    3.764726] ACPI Warning: 0x0000000000000500-0x000000000000052f SystemIO conflicts with Region \_SB_.PCI0.SBRG.GPBX 1 (20130725/utaddress-251)
Feb  3 14:42:10 b kernel: [    3.764728] ACPI Warning: 0x0000000000000500-0x000000000000052f SystemIO conflicts with Region \_GPE.GPIO 2 (20130725/utaddress-251)
Feb  3 14:42:10 b kernel: [    3.764729] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
Feb  3 14:42:10 b kernel: [    3.764730] lpc_ich: Resource conflict(s) found affecting gpio_ich
Feb  3 14:42:10 b kernel: [    3.772088] i801_smbus 0000:00:1f.3: SMBus using PCI Interrupt
Feb  3 14:42:10 b kernel: [    3.779921] microcode: CPU0 sig=0x206a7, pf=0x2, revision=0x1a

[root@b ~]# ethtool -i enp7s0
driver: r8169
version: 2.3LK-NAPI
firmware-version: 
bus-info: 0000:07:00.0
supports-statistics: yes
supports-test: no
supports-eeprom-access: no
supports-register-dump: yes
supports-priv-flags: no
Comment 77 johnhomes 2015-03-25 07:47:37 EDT
NETDEV WATCHDOG: eth0 (r8169): transmit queue 0 timed out                                                                          
 Modules linked in: act_police cls_flow cls_fw cls_u32 sch_tbf sch_prio sch_hfsc sch_htb sch_ingress sch_sfq xt_realm xt_addrtype xt
Fconnmark xt_CLASSIFY xt_AUDIT ip6t_LOG ipt_LOG ip6t_REJECT xt_state iptable_nat nf_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defra
Pid: 0, comm: swapper/0 Tainted: G           O 3.2.2-1.fc16.i686.PAE #1                                                            
Call Trace:                                                                          http://www.acalculator.com/auto-calculators.html
[<c045e352>] warn_slowpath_common+0x72/0xa0                                                                                       
 [<c0862426>] ? dev_watchdog+0x1d6/0x1e0                                                                                           
[<c0862426>] ? dev_watchdog+0x1d6/0x1e0                                                                                           
 [<c045e423>] warn_slowpath_fmt+0x33/0x40                                                                                          
[<c0862426>] dev_watchdog+0x1d6/0x1e0                                                                                             
 [<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80                                                                              
[<c046c246>] run_timer_softirq+0xf6/0x2e0                                                                                         
[<c04c66b7>] ? __rcu_process_callbacks+0x47/0x310                                                                                 
[<c0862250>] ? qdisc_reset+0x40/0x40                                                                                              
[<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80                                                                              
[<c0464ee1>] __do_softirq+0x91/0x1c0                                                                                              
[<c0464e50>] ? __tasklet_hi_schedule_first+0x80/0x80                                                                              
<IRQ>  [<c046523e>] ? irq_exit+0x7e/0xa0                                                                                          
[<c0413e7b>] ? do_IRQ+0x4b/0xc0                                                                                                   
 [<c0418608>] ? sched_clock+0x8/0x10                                                                                               
[<c04827cb>] ? sched_clock_local+0xcb/0x1c0                                                                                       
[<c0943ab0>] ? common_interrupt+0x30/0x38                                                                                         
  [<c06d1ebc>] ? arch_local_irq_enable+0x5/0xb                                                                                      
  [<c06d2b0c>] ? acpi_idle_enter_simple+0xf3/0x133                                                                                  
 [<c081452d>] ? cpuidle_idle_call+0xad/0x250                                                                                       
[<c041147c>] ? cpu_idle+0x9c/0xe0                                                                                                 
[<c091b435>] ? rest_init+0x5d/0x68                                                                                                
 [<c0bc679d>] ? start_kernel+0x357/0x35d                                                                                           
[<c0bc61d7>] ? loglevel+0x2b/0x2b                                                                                                 
[<c0bc60ba>] ? i386_start_kernel+0xa9/0xaf                                                                                        
F[ 1995.008689] ---[ end trace c97efd901ab15874 ]---                                                                                               
F[ 1995.012240] r8169 0000:00:08.0: eth0: link up                                                                                                  
Feb  8 12:17:43 mainframe kernel: [ 2205.012272] r8169 0000:00:08.0: eth0: link up
http://www.acalculator.com/mortgages-calculators.html